introduction

Window NT / Windows 2000

System Administration Software

Hyena is a tool for day-to-day administration of Windows NT and Windows 2000 systems.

Hyena brings together all of the administrative tools from Windows NT such as User Manager, Server Manager, and File Manager/Explorer, and many of the MMC components from Windows 2000 into a single, easy-to-use, centralized program. Hyena arranges all system objects, such as users, servers, and groups, in a hierarchical tree for easy and logical system administration. Here's a sample of just a few of Hyena's functions:

Create, modify, delete, and view users, groups, and group membership

Modify single or multiple user properties, including terminal server and Exchange mailbox settings

Automatically create home directory and home shares for users, including full security configuration

Export delimited text files of users, groups, printers, computers, group members, and services for your entire network

Browse all server shares, copy and delete files without drive mappings

View events, sessions, shares, processes, and open files for any server

View and control services and drivers for one or more computers

Manage share and file permissions, including creating new shares and viewing all share access rights at the same time

Remotely schedule, delete, and manage jobs for multiple computers at the same time

Remotely shutdown and reboot any single or group of computers

View remaining disk space for multiple computers at the same time

This help document is organized by system administration function. Use the navigation window at the left to browse the remaining help topics, or visit http://www.systemtools.com/hyena for more information about Hyena.

If you have questions or problems, or want to check to see if a new version is available, see the Support and Suggestions section. If you need information on purchasing Hyena, see the Licensing and Registration section for pricing and licensing information.

If you want to be kept informed of exciting news and updates to Hyena, find out more about How to Receive Hyena Update Notices.


Release Notes

What's New in Hyena v4.x

New Features

v4.3

  • Added integration with the SystemTools Remote Control Manager (STRCM). The STRCM provides for a way to manage some remote control software products from within Hyena. The STRCM supports installation, configuration, viewing, and uninstallation of remote control software, including VNC-based products. See the Remote Control topic for more information about the STRCM.

v4.2

  • Created a new "OU selection dialog" that will appear initially instead of the standard Microsoft container selection dialog.

  • Individual event logs can now be displayed in Hyena's left window, providing for faster access to event log information.

  • A new Account Functions submenu has been added, with options to Enable/Disable account & Unlock account. The Reset Password function was also moved to this new submenu. Users with delegated rights to enable/disable accounts or unlock accounts can use these functions.

  • Active Directory "Contact" objects can now be created, deleted, moved or modified. Contacts can only be viewed inside of OUs or containers.

  • Enabled the display of user group memberships in the list window, permitting a user's group membership listing to be managed, reported, or copied to the clipboard/file.

  • Added a new feature to the Edit->Copy function to allow selection of individual columns to be copied.

  • Added an "Object" dialog to the user Properties pages, showing AD object properties, plus support for setting the "Manager" for a given user.

  • Added an UPN Suffix selection combo box to the User's Account dialog for easier creation and modification to the Windows 2000 logon.

  • Added Country/region combo box to User and Contact objects Address dialog.

  • Enabled the management of organizational unit properties, including Group Policy information.

v4.1

  • Added Exchange 2000 mailbox support for adding, modifying, and deleting user mailboxes. See the Exchange 2000 Setup topic for configuration information or Enterprise Features - Exchange Features for more on Hyena's Exchange 2000 functionality.

  • Added capability to create Exchange 5.x mailboxes for existing user accounts

  • Modified ad_schema.dat file to include additional Active Directory Exchange attributes for including into user queries

  • Created new option to merge the Windows browse list into any Active Directory computer output. See the Integrate browse list with Active Directory computer listing option for more information.

  • Added capability to run Active Directory queries for any number of selected objects directly from Hyena's list window.

  • Added option to include external object files into Hyena's Object Manager, allowing for more flexible management of groups/list of objects. See External Object Lists for more information.

  • Added new Properties dialog for computer objects, including Active Directory support.

  • Added support for adding more than eight (8) logon workstations to an Active Directory user account.

  • Added support for "Control access through Remote Access Policy" option to the Dialin user properties dialog.

  • Added a "category" feature to the schema listing when managing Active Directory Queries in Object Manager.

  • Added option on all printer context menus to add remote printers.

  • Added capability to add Terminal Server user attributes to Active Directory queries. See the Enterprise Features - Terminal Server Features topic for more information.

  • Added "Copy User(s) To" function to user context menu for Active Directory user objects

  • Added "Copy Groups(s) To" function to group context menu for Active Directory group objects

  • Added "Copy Members" function to group context menu for Active Directory group objects

  • Added capability to remove group members in Active Directory group objects directly from any context menu.

v4.0

  • Added reporting capabilities when viewing Active Directory data.

  • Added Query dialog to Object Manager to support creation and modification of Active Directory queries. See the Queries topic for more information on how to use this feature.

  • Added a "Node Manager" to the Object Manager dialog to provide support for controlling the sub-objects (nodes) that appear in Hyena's left tree window. See Managing Nodes.

  • Added a filter feature to Hyena's right list window. See the Filtering topic for more information.

  • Added a "Find" feature for searching Active Directory, including saving searches to disk. See the Finding Directory Objects topic for more information.

  • Added support for allowing settings and configuration information to be stored in the profile directory by default. See the Shared Settings section for more information.

  • Created new Active Directory user groups dialog for viewing a user's group memberships on the User Properties dialog.

General Improvements

v4.3

  • Added automatic saving of the "Run Active Directory Creation Wizard..." and "Show Properties..." options (object type specific) setting when creating users, groups, OUs, contacts, and computer objects.

  • Added automatic creation of the Pre-Windows 2000 group name field when creating new Active Directory groups

  • Updated status bar message when displaying domain controller information (number of controllers found)

  • Added New... option to the Active Directory Computers context menu.

  • Modified View Computer... option for the Active Directory Computers context menu to allow manual entry of Netbios, IP address, or Active Directory path.

  • Added capability to add the event log name (system, application, security, etc.) to the event log display view under Tools->Settings->Display.

v4.2

  • Added the Pre-Windows 2000 logon name to the list window group members display.

  • A wildcard feature has been added to the Find/Filter function (Edit->Find). Entering a leading or trailing ("*") can now be entered into the Search String.

  • A Copy option is now available for Object Manager queries.

  • Added a "Copy to Clipboard" button to the user's View Logon Information dialog.

  • Enabled deletion of Organizational Units from the list window. OUs must be empty before being deleted.

  • Enabled creation of users, groups, contacts, and organizational units using Hyena's interface dialogs from the list window (when right clicking on any selected organizational unit)

  • Enabled the creation of organizational units through Hyena's own custom dialog vs. 'wizard'

  • Modified Hyena's event description viewing mechanism to always load the remote computer's message file, thereby presenting fewer "Unable to format message" errors when viewing event log details

  • Changed the icon for containers to be different than organizational units

  • Enabled Hyena to detect the completion of entering in a filter cell (when using the Filter toolbar function) by either pressing RETURN/Enter or clicking on another filter cell.

  • Enable Hyena to detect and ignore when duplicate or existing users/groups were added as new group members. This allows Hyena to filter out duplicate entries and prevents "Member already exists" errors.

v4.1

  • Enabled Explorer context menu for user "homedirectory" attribute when Active Directory attributes are displayed in either window

  • Added support for correctly sorting Active Directory information in Hyena's list window depending upon the data type. Numeric and date values will now sort correctly.

  • Added support for creating Unicode output files when saving data to text files (Edit->Copy...) or when exporting data to Microsoft Access (Tools->Run Report).

  • Improved performance when copying large amounts of data to the clipboard

  • Added capability to include Contacts into Active Directory groups. Contacts group memberships are also displayed.

  • Modified right window display when viewing Windows 2000 domain controllers

  • Enabled the Help button on computer, group, and Exchange 2000 property dialogs.

  • Added new option in the Edit->Copy dialog to copy icon IDs.

v4.0

  • Added faster method to manually add a group to a user's group memberships without having to use the Add button. See the Performance section for more information.

  • Added option to manually specify the name of the PDC for Windows NT domains. See the Performance section for more information.

  • Added option under Tools->Settings->View to cache domain controller information. See the Performance section for more information.

  • Added feature to edit user logon scripts that do not contain an extension of .cmd or .bat

  • Added feature to start dependent services that were stopped as part of a service "restart" operation.

  • Added feature to resolve %computername% variable in the command line of AT-jobs that are scheduled for multiple computers.

  • Enabled feature to automatically save the last change in Object Manager when the OK button was clicked, without having to click the Update button.

  • Created default MSAccess.exe and database paths so that configuration is now optional under Tools->Settings->Reporting for these values. See the Reporting section for more information.

  • Retained last setting of "Move Children Objects with Parent" setting in Object Manager.

  • Added option to save Macros to files and to be recalled (Tools->Generate Macro). See Macros.

  • Added recall feature to search strings when using the Find/Filter option.

  • Added different icons for disabled user accounts, and also display actual Windows file association icons for all file displays.

  • Added option to change the Object Type for multiple objects in Object Manager.

Corrections and Bug Fixes

v4.3

  • Fixed problem that resulted in application crash when filtering computers and invoking some functions (disk space, sessions, events, schedule jobs) from a filtered view.

  • Hyena v4.3 also includes all of the bug fixes applied to v4.2.

v4.2 'D' Corrections

  • Added sorting to the group membership listing for Active Directory groups in the tree (left) window

  • Disabled "New Organizational Unit" menu option for AD containers.

  • Corrected problem with a modified computer comment not being retained after clicking on the HotFix tab then returning to the General tab on the Computer Properties dialog.

  • Corrected problem that could have resulted in a display of "unknown user" on some group dialogs and displays when a Source Controller was used for a Windows NT domain.

  • Corrected problem with displaying large numbers of shares on some servers, resulting in "more data is available" error.

  • Corrected problem with using the Refresh (F5) option when viewing event logs for multiple computers

  • Corrected problem with saving Exchange 2000 mailbox template information into a shared settings file.

  • Corrected problem with double-confirmation needed when moving or copying files from the list window.

  • [German Version Only] Corrected problem with being unable to click on the "view shares" option after viewing a shared directory.

  • [French Version Only] Corrected problem with the Rename User function not working

v4.2 'C' Bug Fixes

  • Fixed problem with the error message "An unsupported operation was attempted" being displaying when viewing service properties, resulting in missing Recovery service options dialog. Also, this same problem resulted in the display of the Recovery dialog for Windows NT services (this option does not apply to Windows NT services)

  • Fixed problem that caused the profile path to not carry over from terminal server home directory templates when a mapped drive letter was used for a local home directory path.

v4.2 'B' Bug Fixes

  • Fixed problem whereby local groups were not sorted on the User Rights dialog

  • Fixed problem when removing service type from the display fields for services resulted in unpredictable behavior

  • Fixed problem that caused double-clicking on a computer from the computers display for Windows NT domains resulted in the display of the Computer Properties dialog twice.

  • Corrected problem with the shared setting configuration not loading the shared tool commands.

  • Corrected problem that after adding users, newly added users could not be accessed in the right "preview" window of the User Properties dialog if a Pre-Windows 2000 account name was established different than the directory name.

  • Corrected problem with missing drive letters on the "Connect Network Drive" dialog

  • Fixed problem with adding newly added users to groups due to replication delays

  • Corrected problem with adding new users to groups under Windows XP (due to replication delay and LDAP path bug in Windows XP)

  • Fixed problem that copied user accounts would not retain the logon workstation restrictions of the original account in some cases.

v4.2 Bug Fixes

  • Corrected a problem with using the Find option when the main OU object was selected for some users without access to the Entire Network directory level.

  • Changed display of user RAS (dialup) information to not show any callback settings unless the user also had dialup rights (NT 4.0 only)

  • Corrected problem when saving changes for multiple users that could have resulted in unintended changes to be made to RAS callback settings under some circumstances.

v4.1 'B' Bug Fixes

  • Corrected problem with adding groups to newly added users due to Active Directory replication constraints

  • Added Synchronize option back to Active Directory domain controllers

v4.1 Bug Fixes

  • Corrected bug with saving the "Windows 2000 logon" and "Pre-Windows 2000 Logon" Active Directory attributes when modified through a Windows NT domain object.

  • Corrected bug that when changing a user's profile from a network share (with Connect Drive option) to a local path, Hyena would retain the drive letter. This bug only affected Active Directory changes.

  • Corrected bug that prevented the Send Message function from working on Windows 2000 domains that were configured with a DNS-style domain path.

  • Fixed problem when adding groups to users when using Windows XP to manage complex domain configurations.

  • Fixed problem with 20-character directory name length limitation when renaming Windows 2000 user accounts.

  • Fixed problem that when deleting Active Directory users, associated Exchange 5.5 mailbox was not being deleted.

  • Corrected areas in Windows 2000 object management that would cause Hyena to crash when running on Windows NT. Blocked access to user and group properties dialog when running Hyena on NT 4.0 and attempting to manage certain Active Directory objects.

  • Fixed problem whereby Hyena would be crash when displaying service properties for services with a very long (> 255 characters) in the service description.

v4.0.2 Bug Fixes

  • Corrected problems with saving home directory template information to shared settings file

  • Corrected problem with home directory template information not being saved when creating new users under a Windows 2000 domain object

  • Enabled viewing primary group membership under the "Members" object for Active Directory users

  • Corrected problems with displaying and adding group members from trusted Windows NT domains into an Active Directory group (foreignSecurityPrincipals)

  • Fixed problem with the "Check for Hyena Updates" feature not working.

  • Fixed problem with renaming Windows 2000 user accounts that contain a comma in the directory name; added support for creating users with a directory name containing a comma

  • Fixed problem that prevented pictures from being removed from Windows 2000 domain accounts

v4.0 Corrections and Bug Fixes

  • Corrected problem with listing processes when running Hyena on Windows XP

  • Fixed problem in Rename User function to work better with defaulting renamed values for Active Directory elements.

'Preview Release' Bug Fixes

  • Corrected problem (program crash) when too many attributes were assigned to a query

  • Fixed problem that when the Enterprise -> All Computers option was used for Windows 2000 domains, no output would be generated.

  • Added option to delete organizational units (OUs). OUs must be empty before they can be deleted.

  • Fixed installation problem when an installation directory with a name other than 'hyena' was used.

  • Corrected file association problem (double-click) when running under Windows NT 4.0

  • Fixed empty error popup when the Members tab was selected when adding groups to Active Directory

  • Fixed problem with adding users when system password policies were in affect; error returned was "Service is unwilling to Perform action".

  • Added warning message when accessing the user Properties dialog for a user that has more than 8 assigned logon workstations.

Revision History

Version 3.0

New 'Object Manager' Technology

One of Hyena's most popular features has always been its 'Quick Access' feature, which lets groups of commonly-used computers and printers to be added directly into Hyena's navigation window. Hyena v3.0 improves upon the Quick Access feature by replacing it with a new interface, that we call the "Object Manager". Hyena's new Object Manager lets the administrator get control of the underlying object listing in a whole new way. Domains, computers, printers, file folders, even urls, can now be grouped in any way that best represents your network organization. Future versions of Hyena will further extend the types of objects that can be individually grouped and managed.

Existing Hyena Quick Access files can be imported into Hyena's Object Manager, and the configuration file used by the Object Manager can be easily shared with others under Tools->Settings->General.

Windows Task Scheduler Integration

Hyena v3.0 adds complete support for the new Windows Task Scheduler that is standard on all Windows 2000 systems, plus most Windows NT systems that have IE 5.0 installed. Hyena can be used to display and manage tasks from any number of computers at the same time. Plus, Hyena v3.0 can now copy (clone) a task from one computer to any number of destination computers. Hyena also supports remote task termination, deletion, execution, and modification.

Hyena also continues to support the older AT-style scheduling system. Administrators can choose whether to use the Task Scheduler or AT-style scheduling for new jobs; Hyena will automatically detect which scheduling system a remote system is using when displaying jobs.

Improved Windows 2000 Support

Hyena v3.0 adds additional support for some Windows 2000-specific functions, including:

New Windows 2000 service elements, such as Service Recovery and Restart options are now supported.

Improved Windows 2000 user rename support

Direct access to all Windows 2000 domain controllers

Windows 2000 user password reset delegation support

Dual monitor support

New Software Maintenance

Hyena v3.0 introduces a new software maintenance and update procedure that allows anyone purchasing new Hyena licenses to purchase an optional 1 or 2 year software maintenance agreement. Free updates are available on any license that has a current/paidup maintenance agreement during the maintenance period. One (1) year of maintenance is automatically included in the Hyena v3.0 upgrade.

Other Changes - v3.0

Added multi-monitor support for Windows 2000

Enabled the 'Delete Service' option for all services, regardless of their current state. Services are stopped prior to deletion automatically.

Added support for multiple drive masks when checking for remote disk space information. For more information on this feature, see the Drive Space Mask topic.

Added report options for processes and scheduled jobs to the Tools->Run Report option. Hyena's install program does not update an existing report database. Current users of Hyena can download a new report database from http://www.systemtools.com/downloads/hyenarpt.zip . Rename your existing database prior to downloading if you have customized Hyena's reporting features.

Added profile path and logon script name to the home directory template settings.

Changed the format used for Hyena's registration keys, to provide for future expansion options.

Changed method to format dates displayed from the event log to provide better international support.

Localized the date formats used for display of account expiration and last logon/logoff dates.

Corrected a problem with running the Export option (File->Export) when Hyena's working directory was changed during program startup. Hyena will now set the working directory to be Hyena's installation directory prior to running the Export option.

Corrected problem with saving the user "notes" field when it was used for storage of specialized information from other programs. The user Notes field will now only be saved when changes are actually made to the data.

Corrected problem with Hyena crashing when an event log record was encountered that was not formatted correctly by the originating system/service.

Corrected problem with manually adding global groups to a local group on the local group properties dialog.

Fixed problem with Find User/Group picker dialog improperly returning a trustee name with a single leading backslash in place of the domain name.

Corrected problem with listing all service dependencies for services displayed in right list window.


Hyena Ordering and Contact Information

Hyena Purchase, Support, and Contact Information

Licensing

Trial versions of Hyena are available for use for 30-days from the date of installation. The registration dialog (displayed each time that a non-registered copy of Hyena is run) will show how many days remain within the trial period. After the 30-day trial is completed, continued use of Hyena requires registration. For specific warranty, disclaimer, and specific licensing information, see the license.txt file included with the Hyena distribution package.

Hyena is licensed only to the user actually using the software, regardless of the number of end-users, domains, or servers actually managed. Hyena is sold in single and multiple-license packs under Standard Edition and Enterprise Edition licenses. Each administrator that uses Hyena requires a separate license. Once licensed, an administrator can use Hyena from their local workstation, on a server, through a dialup connection, or from any workstation via network access. Concurrent-use licensing is not permitted, due to the difficulty of compliance and usage tracking.

Standard vs. Enterprise Licenses

The Hyena Enterprise Edition license includes all of the software components found in the Standard Edition, plus:

Microsoft Exchange User (mailbox) integration - The Hyena Enterprise Edition includes direct integration into Exchange. Supported operations include creating, deleting, and modification of mailbox (recipient) information. Hyena's custom Exchange interface supports creating new mailboxes for existing users, using template accounts for mailbox creation, and modification and removal of multiple mailboxes associated with the same user account.

Hyena's Exchange integration uses tabbed dialog boxes for all administrative functions. Hyena does not use any clumsy batch import or text files for its Exchange functionality. For more information on how to configure Hyena for Exchange, see the Exchange Setup section in the Users section of the Using Hyena - Objects topic in Hyena's Help file.

Access to Windows Terminal Server/Citrix User Settings - The Enterprise Edition also includes support for modification of Terminal Server/Citrix user properties, including profile and home directory settings and specific user configuration settings. Hyena fully supports automatic creation of home directory and home directory shares, including setup of security information, for terminal server home directories. For more information on how to configure Hyena for this functionality, see the User Terminal Server Settings section in the Users section of the Using Hyena - Objects topic in Hyena's Help file.

The Enterprise Edition features of Hyena are all fully functional for the first 30 days after installation.

Pricing

Hyena offers a number of pricing and licensing options, as follows (all prices are in US dollars):

License Type | Standard Edition Licensing Costs | Enterprise Edition Licensing Costs
Single license | $ 199.00 | $ 269.00
3 License Pack | $ 449.00 | $ 609.00
5 License Pack | $ 649.00 | $ 879.00
10 License Pack | $ 1,199.00 | $ 1,619.00
25 License Pack | $ 2,799.00 | $ 3,779.00
50 License Pack | $ 4,999.00 | $ 6,749.00
100 License Pack | $ 8,999.00 | $ 12,149.00

Any licensing level of the Standard Edition can be upgraded to any licensing level of the Enterprise Edition by simply paying the difference in price. For example, 5 licenses from a 10-pack Standard Edition license can be upgraded to the Enterprise Edition for $ 230.00 ($879-649).

Also, if a licensing level is desired that does not fall within one of the pre-defined levels (packs), additional incremental licenses can be purchased for the average single license cost of the largest current licensing level. For example, if your company first purchased a 5-license pack for $649, then upgraded to a 10-license pack for $550 ($1,199 - $649 = $550), and now wants to purchase an additional 3 licenses, the price would be $120.00 per additional license ($1,199/10).

If you have any questions about Hyena's pricing or licensing, please contact us.

Upon receipt of payment, an access key can be mailed (postal or electronically) to you. The access key that you receive will permit indefinite use of the registered version for Windows NT 3.51/4.0 and Windows 2000; there are NOT any annual support or subscription fees being charged at this time. For other shipping options, see the Shipping topic below. All Hyena upgrades and patches can be obtained from http://www.systemtools.com/hyena.

Additional licenses must be registered and paid for at the current market price. Additional license costs are calculated as being the difference between the cost of the new license, less the current cost of the current license level.

Software Maintenance

An optional annual maintenance program is available for all Hyena licenses. For information and pricing about Hyena's maintenance program, visit http://www.systemtools.com/hyena/maint.htm . All Hyena license purchases automatically have sixty (60) days of free software maintenance; an additional one or two years of maintenance can be purchased. See http://www.systemtools.com/hyena/maint.htm for more details.

License Upgrades

Information on upgrade charges and procedures for upgrading Hyena from a previous release can be found at http://www.systemtools.com/hyena/upgrade.htm.

Shipping Options

Our preferred method of distributing Hyena is to offer the program for downloading from several download sites around the world. Our central downloading location can be reached at http://www.systemtools.com. After purchasing, the licensing information provided can be entered into Hyena's registration dialog, turning the evaluation copy of Hyena into a licensed version. In fact, any copy of Hyena distributed on CD-ROM is exactly the same software available for downloading.

If you elect to have Hyena shipped on CD-ROM, there is a shipping and media charge of $20.00 for US-based shipments, and $30 for shipments outside of the US. Shipment in the US is by Federal Express 2nd day; shipments outside of the US use whichever shipping method is most cost effective and available in the applicable country. The material shipped includes Hyena on CD-ROM, a printed license certificate, and a brief Getting Started Guide.

How to Purchase

To purchase any Hyena license level using either a credit card (MasterCard, VISA, American Express) or a company purchase order, you can do any one of the following:

  • Call 1-830-779-2349 with your credit card number.

    Note: Your credit card will be processed under the name "SystemTools"

  • Order online using our secure order form.

Note: Your credit card will be processed under the name "SystemTools"

  • Mail Hyena's order form (below) to the mail address listed below

  • Fax Hyena's order form (below) to 1-830-779-2191 (see Note below)

  • If you are outside of the US and wish to purchase through a local reseller, see our reseller list at http://www.systemtools.com/hyena/resellers. If you do not find your country on the list, or wish to purchase from us directly, simply follow one of the standard purchase options listed above.

Please do not attempt to send faxes to our toll-free number !

This order form can be printed, filled out, and mailed or faxed to the address below. For online and other purchasing options see the How To Order section. To print just the order form portion of this page, select (highlight) the order form below prior to selecting the Print option on the menu/toolbar.

Hyena Order Form

SystemTools Software Inc.
P.O. Box 1209
La Vernia, TX 78121
Fax: (830) 779-2191

Name_________________________Company_______________________________________

Address____________________________________________________________________

City_________________________State_________________Zip_____________________

Country_______________________________Telephone____________________________

Fax___________________________________Email________________________________

How did you find out about Hyena ? (check all that apply)

_____ Web Advertisement. Site Name___________________________________

_____ Printed Advertisement. Publication Name____________________________

_____ Magazine Article. Publication _____________________________________

_____ Software Library. Library Name__________________________________

_____ Web search _____ Friend / Associate _____ Other ____________________

License Selection. Note: All costs are in US Dollars.

Part No | License Type | Cost (USD) | " "
HYE-001 | Standard Edition Single Administrator | $ 199 | $
HYE-003 | Standard Edition 3-Administrator Pack | $ 449 | $
HYE-005 | Standard Edition 5-Administrator Pack | $ 649 | $
HYE-010 | Standard Edition 10-Administrator Pack | $1,199 | $
HYE-025 | Standard Edition 25-Administrator Pack | $2,799 | $
HYE-050 | Standard Edition 50-Administrator Pack | $4,999 | $
HYE-100 | Standard Edition 100-Administrator Pack | $8,999 | $
HYN-001 | Enterprise Edition Single Administrator | $ 269 | $
HYN-003 | Enterprise Edition 3-Administrator Pack | $ 609 | $
HYN-005 | Enterprise Edition 5-Administrator Pack | $ 879 | $
HYN-010 | Enterprise Edition 10-Administrator Pack | $1,619 | $
HYN-025 | Enterprise Edition 25-Administrator Pack | $3,779 | $
HYN-050 | Enterprise Edition 50-Administrator Pack | $6,749 | $
HYN-100 | Enterprise Edition 100-Administrator Pack | $12,149 | $
HYX-MNT1 | Hyena Maintenance (1 year) | 25% of list price | $
HYX-MNT2 | Hyena Maintenance (2 year) | 40% of list price | $
HYE-UPG | Other/Upgrade (contact us for pricing) | $ | $

Texas residents only:
Please add 7 1/4% Texas sales tax: $__________
(if you are tax-exempt, please provide tax-exempt certificate)

Shipping Options (Select one or more options)
Note: Shipment includes the latest version of Hyena on CD and License certificate only.

No shipping required. Send only registration key via email to:

____________________________________________

Ship to: _____________________________________

____________________________________________

Shipping and Media Charges (if shipping desired).
If Hyena is purchased electronically, these shipping charges will not apply.

$ 20.00 - U.S. Only - FedEx 2nd Day $__________
$ 40.00 - Outside of the U.S. - FedEx $__________

Also send registration key via email to:
(in addition to shipping)

____________________________________________

Total License, Tax, and Shipping Cost $__________

Payment Method

_____ Check/Money Order - Please make payable to "SystemTools Software Inc."

_____ Company Purchase Order. Purchase Order No: __________________

Note: Please attach / fax copy of company purchase order with this order form.
Our Fax Number is 1-830-779-2191

Billing Address (if not on PO):_________________________________________

_____ Credit Card (circle one): Mastercard VISA American Express

Card Number ___________________________

Expiration Date (Month/Year) _______________

Card Owner's Name______________________

Card Owner's / Authorized User's Signature _______________________________

This order form can be sent to:

Email: Sales@systemtools.com
Fax: 1-830-779-2191
Mail: SystemTools Software Inc. P.O. Box 1209 La Vernia, TX 78121

Thank you for your purchase of Hyena !!

Support and Suggestions

Technical support, questions, wishes, and problem reporting can be directed to support@systemtools.com, or by contacting us at any of the contact points listed below. Please try to be as specific as possible in describing the nature of the problem or issue. If applicable, include captured screen images in when sending email; please compress any submitted .bmp files in zip-compatible compression format.

For online support options, see our OnLine Help and Support options.

Contact Information

If you have questions concerning pricing and licensing information about Hyena, please review the pricing and licensing information, or give us a call !

You can reach us at any of the following addresses:

Sales: Sales@systemtools.com

Support: Support@systemtools.com

Telephone: 1-877-797-8665 (1-877-SYS-TOOL) or 1-830-779-2349

Fax: (830) 779-2191

Mail:
SystemTools Software Inc.
P.O. Box 1209
La Vernia, TX 78121

Web: http://www.systemtools.com

Please do not attempt to send faxes to our toll-free number !


Getting Started - General

Hyena displays information in one of two primary windows, similar to Windows Explorer. The leftmost window is referred to in this guide as the tree window, since domain objects are arranged in a hierarchical tree-style format, while the rightmost window is referred to as the list window, which always displays items in a report/list format.

Using the Tree Window

Objects in the tree window that contain additional subordinate objects will be displayed with a small "plus" indicator next to them. Clicking on the plus indicator will cause the object to expand, and all of the subordinate objects will be displayed. Clicking on the "minus" indicator will hide the subordinate objects, effectively hiding the contents of the parent object.

In the example to the left, the domain controller for the Resource2000 domain has been expanded to show the various objects that can be managed, including printers, shares, sessions, open files, services, devices, events, disk space, processes, and scheduled jobs.

Some objects, for example, the printers, shares, computers, and user/groups, can be further expanded in the tree window, by clicking on the "plus" indicator.

Using the List Window

Double clicking on an object in the tree window that contains additional subordinate objects will result in the information to be displayed in the list window. For example, double clicking on the Domain Users object in the tree window, will cause the domain users to be displayed in the list window.

Objects displayed in the list window can be sorted by clicking on the column heading. Clicking a second time on a column heading will result in the sort to be reversed (descending sort). In the example above, the device name column has been sorted on (ascending), indicated by the ">" after the column header name.

The widths of each of the column headings can be adjusted by moving the mouse between any two of the columns and then dragging the borders. The column heading widths will be saved and restored the next time the same type of object is displayed.

Many of the list window displays can also be customized, to remove unwanted fields, or to hide (not display) some fields. See the Options and Settings section on how to customize the list window views.

Accessing Object Properties and Functions

Objects displayed in any of the windows can be selected by clicking on them once with the mouse. In the list window, multiple objects can be selected at the same time by simultaneously clicking on them while holding down either the shift or control keys. If the shift key is held down while clicking on an object in the list window, a range of objects will be selected. Holding down the control key while selecting objects will select additional objects. Only one object can be selected at a time in the tree window.

Once one or more objects have been selected in either the tree or list window, clicking with the right mouse button will display the appropriate context menu for the object.

Note: Some functions will be grayed out (disabled) on the context menu, depending upon the exact type of object selected and whether single or multiple objects are selected. As a shortcut, the Properties function for most objects can be invoked by double clicking on the object, or the Properties button on the toolbar can be used.

For complete documentation on all of Hyena's objects, see the Using Hyena - Objects topic. For information concerning Hyena's functions, such as reporting, printing, and exporting see the Using Hyena - Functions topic.


Helpful Hints and Tips

Using the Mouse and Keyboard

Using the Mouse

Clicking the right mouse button after selecting an object will display a pop-up context menu displaying options specific to the selected object.

Double clicking on any object will display any children that the object may have. If the object does not contain any child items, then the object's properties will be displayed. For example, double clicking on the Domain Users object will display all of the domain users in the target domain. Double clicking, in turn, on one of the individual domain users will display that user's properties dialog window.

Many of the mouse actions can be performed with the keyboard instead.

Using the Keyboard

When using the mouse for drag-and-drop file copy and move operations, the control key can be pressed to indicate a copy operation, while the shift key can be pressed to indicate that a file move operation should be performed. The keys only need to be pressed when the file copy/move operation is initiated; they do not have to be held down for the duration of the file copy/move.

To speed access to certain common operations, the following keys have been assigned to specific commands:

Return/Enter - Same as selecting Properties [image] option. If object does not have any properties, then object's double-click action is performed.

Shift-F10 - Same as right mouse click.

Application button - This key is located only on Windows/Natural keyboards below the right shift key. Pressing it is the same as the right mouse click.

Insert - Same as selecting object's Create... or New... option. For example, pressing Insert when the Domain Users object is selected will display the Create New User dialog.

Delete - Same as selecting object's delete option.

F5 - Will refresh the contents of the list window.

ESC - Pressing the Escape key while in the tree view window will automatically jump to the parent of the selected item.

Left and Right Arrow Keys - When positioned over a tree window item that has a "plus" symbol next to it, the right and left arrow keys can be used to expand and contract the selected item.

Control-F - Activates the Search and Filter function.

Ctrl-F1…Ctrl-F9 - Activates the 1st (F1) through the 9th (F9) user-defined tool or command.

Shift-Ctrl-F1…Shift-Ctrl-F9 - Activates the 1st (F1) through the 9th (F9) shared user-defined tools or commands. See the Shared Settings section for more information about how to set up shared settings.

Hyena's main tree and list windows can also be quickly navigated by simply typing in the first few characters of any displayed item. For example, if the list window is displaying a list of users, typing the characters "john" will quickly move the selection to the first entry starting with "john".


Configuring Multiple Domains

When Hyena is first started, the domain that the workstation is currently logged into will always be shown and added to the tree window. If additional domains have been setup in your network, they can be added into Hyena.

Note: Adding domains in Hyena does not affect any domain or in any way actually create a new domain, it simply makes the domain available and known to Hyena's functions.

To add a domain, use either of the following techniques:

1. To simply add a new domain to the view window:

Click on the File menu

Select Add Domain...

Enter the name of the domain to add and click OK

Alternately, the Find All Domains button can be clicked to query the network for all domains. Select the domain(s) to add from the list displayed. Note that Windows does not distinguish Windows NT or Windows 2000 domains from Windows workgroups. However, the name of the Primary Domain Controller (PDC) will usually be displayed next to the domain name; workgroups will not have a PDC name displayed next to them.

2. To add a domain using the Object Manager:

Click on the File menu

Select Manage Object View...

Click the New button

Select Windows NT Domain as the Type of Object

Enter the NetBios name of the domain for the Name of the Object

Optionally, enter a comment for the domain

Optionally, enter the name of a BDC for the Source Controller for the domain. See the Setting a Source Controller topic for more information.

The Object Manager can also be used to put domains and other objects into custom groups. For more information on using the Object Manager, see the Object Manager topic.

The newly added domain will be permanently added and will be always available until it is removed.

To remove a domain from the view, use the Object Manager. For more information on using the Object Manager, see the Object Manager topic.

Note: Removing domains in Hyena does not affect or in any way actually remove a domain, it simply makes the domain unavailable to Hyena and removes it from the tree view window.


Options and Settings

Options, Settings, and Customizations

Support is provided for a number of customizable settings. To access the settings dialog, select the [image] toolbar button or the Tools->Settings menu option.

General Settings

Automatically Expand Current Domain on Startup

Confirm all File Copy and Move Operations

Automatically refresh disk space information

Remote share mask for disk space function

Automatically refresh print job information

Editor Path and Name

Path to Object Manager and other shared configuration files

Shared Settings File Location

User Settings

Suppress automatic display of all groups and users

Sort user group memberships in tree window

Refresh list view window when users are modified

Show last logon/logoff information

Show RAS (dialup) information

Show user thin client (Terminal Server) information

Enable Active Directory support

Confirm changes to properties for multiple users

Show user preview window on user properties dialog

Display warning when accessing locked out accounts

Batch file to run for all user changes (add/modify/delete)

Show batch file command windows

Default Login Script Directory

Home Dir Settings

The home directory settings dialogs allows setting home directory templates for control over home directory, home share, and security settings. See the Home Directory Templates section for more information on user home directory options.

View Settings

Show Hidden Shares

Show UNIX (Samba/Linux) computers

Check if Shares contain Subdirectories in Tree View

Check if Directories contain Subdirectories in Tree View

View All Computers (offline, hidden, etc.)

Show shell context menu for computer objects

Cache domain controller information

Integrate browse list with Active Directory computer listing

Disk Space View Options

Focus Settings

The Focus settings let you configure an object to automatically show its contents when it receives the focus, that is, it is clicked on or selected by the keyboard.

The focus options are broken down into many different related object categories, so you can select to have this option available for some objects, yet not available for others. For networks with WAN or slow network connections, it is advisable to have these options disabled.

GUI Settings

The GUI settings allow some of the windows to utilize the advanced options available in some Microsoft add-in products, including Internet Explorer 4.0. These options will only be visible if the file named ComCtl32.DLL is version 4.7 or later. These options include a grid and optional selection behavior. Unfortunately, third-party software developers cannot redistribute this .DLL file. Microsoft does provide an update procedure at http://msdn.microsoft.com/developer/downloads/files/40comupd.htm that will provide this .DLL. Please review the documentation that comes with the Microsoft archive for more information about updating these files.

Before trying these updates, turn on one or more of the GUI settings, restart Hyena and see if the desired setting has taken effect.

User-defined Tools

Adding user-defined tools and commands to the Tools menu is fully supported. User-defined tools can be invoked either by selection from the Tools menu, or by pressing Ctrl-F1 through Ctrl-F9. Ctrl-F1 corresponds to the first user-defined tool, Ctrl-F2 for the second, etc.

To setup user-defined tools, select the Tools menu option, then select "Settings". On the Settings dialog, select the "Tools" tab. A maximum of fifty (50) custom tool commands can be defined.

When configuring a user-defined tool option or a macro command string, the command line to execute can include the following special symbols that will be replaced before execution:

%S% - Server Name. When used in a command line, the %S% will be replaced with the name of the current server active for the selected object.

Note: Leading "\\" characters in the server name will NOT be included in the command replacement. If the tool being invoked requires the leading backslashes, enter these explicitly into the command string. See the example below.

%E% - Entry. When using in a command line, the %E% will be replaced with the text of the active entry for the selected object. For a selected item in the right list window, the first column will be used for the text. Use the %Cx% (see below) if a different column needs to be used.

%G% - Group. This option is only valid when viewing members of local or global group; it will be replaced with the name of the selected members’ group name.

%Cx% - Column "x". When used on selected information in the list window, replace the "x" with the number of the column to retrieve information from. For example, to use the information displayed in the third column, enter "%C3%" for the symbol.

%Px% - User-defined parameter. Can be used to prompt for up to three (3) parameters. Use %P1% for the first parameter, %P2% for the second, etc.

%Px:prompt% - User-defined parameter with custom prompt. Same as above, but adds the “prompt” text to the input dialog, so that it will be clear what is being asked for.

%Px:prompt/PWD% - User-defined parameter with custom password-enabled prompt. Same as above, but automatically turns on the password entry check box for security.

Note: The symbols MUST be entered in uppercase only.

Example: To invoke the Event Viewer application when any computer or server is currently selected (the active entry), enter the following for the command line:

Eventvwr.exe \\%E%

Display Options

The Display tab on the Settings dialog allows customization of some of the view windows.

After first selecting the display to customize, control over the fields to display, the order of display, and the field captions can be modified.

Note: The display options are saved immediately upon modification; clicking OK on the Settings dialog is not necessary.

Reporting Options

Hyena includes both printing and reporting capabilities.

Printing and Reporting options only apply to items displayed in the list window.

Print Functions

The printing function is accessed through the File->Print menu option. The options that can be configured include the point size to be used on the printed output, and whether to print using a bold font.

Reporting Functions

Hyena includes a Microsoft Access-based reporting interface. To utilize the reporting capabilities, you need to have Microsoft Access already installed on your system.

Hyena will by default automatically attempt to find MSAccess.exe and use the HyenaRpt.mdb file that is in Hyena's installation directory. To customize the locations of these files for special or shared configurations, the following options can be provided on the Tools->Settings->Reporting dialog:

Path to MSAccess.exe - Provide a path to the MSAccess.exe program, such as j:\apps\microsoft office\office. You can leave this option blank to have Hyena attempt to find MSAccess.exe.

Path to HyenaRpt.mdb report database – Hyena’s installation program installs the HyenaRpt.mdb database into the default Hyena installation directory. If this setting is left blank, Hyena will use the .mdb file in the installation directory. You can provide an alternate directory path here, or move the HyenaRpt.mdb file to a central network location.

To generate a report, first display some information in Hyena’s right list window. Then, select Tools->Run Report… from the menu.

Licensing Settings

The licensing settings display the active Hyena License, as well as any license options, such as Exchange, Terminal Server, and the current maintenance expiration date.

Remote Control Settings

The SystemTools Remote Control Manager (STRCM) provides for a way to manage some remote control software products from within Hyena. The STRCM supports installation, configuration, viewing, and uninstallation of remote control software, including VNC-based products. See the Remote Control topic for more information about the STRCM.

The individual configuration files (.rcm) can be viewed and modified from the Tools->Settings->Remote dialog.

Exchange Options and Setup

Hyena’s Exchange 5.5 and Exchange 2000 interfaces are to add, modify, and delete Exchange mailboxes that have associated Windows NT/Windows 2000 user accounts.

The only installation prerequisite for using the Exchange integration options in Hyena is that you must have already installed the Microsoft Exchange Administrator program on your client workstation. If you can already manage Exchange recipients from your workstation, then this probably has already been done. Hyena requires the use of certain DLLs for these functions; Microsoft does not allow 3rd party software developers to redistribute these files.

Important Note: Hyena’s Microsoft Exchange integration features are only available in the Enterprise Edition of Hyena. Hyena’s Standard Edition will allow Exchange information to be viewed or modified only for the first 30 days after installation. This allows the functionality of the Exchange features to be fully evaluated before any additional licenses for it are purchased. For more information on the licensing of the Enterprise Edition, see the Licensing topic.

Exchange 5.5 Options

Configuration to use Default User Manager Interface

Hyena includes two (2) different interfaces into Microsoft Exchange 5.5. The first interface (the default) uses exactly the same interface that Window NT’s own User Manager for Domains uses into Exchange. To configure Hyena to use this interface, go into Tools->Settings->Exchange and enable the Enable User Manager Extensions for Exchange Integration option. If this option is changed, Hyena must be restarted. As long as the Exchange Administrator program is installed on the computer that Hyena is being run on, then the existing User Manager configuration will be used. Note that there will be an “Exchange” option on the main menu bar, plus an Exchange Functions menu on all context menus for users.

Configuration to use Hyena’s Custom Interface

Hyena also includes its own custom Exchange 5.5 interface. This interface does have some limitations, but also some advantages over the built-in User Manager interface. To configure Hyena to use this interface, go into Tools->Setting->Exchange, and follow these steps:

Enable Exchange integration, by enabling the “Enable Hyena’s Custom Exchange Integration Options” checkbox. If Exchange integration is being enabled for the first time, you must restart Hyena before you will be able to have access to the Exchange options.

Provide the name of your local Exchange server for the value in “Exchange Server for Directory Operations”. This is sometimes referred to as the “DSA”. If your site has multiple Exchange servers, enter in the name of the closest or fastest Exchange server to your location.

Provide the name of the Exchange-enabled Profile Name. To get the name of the mail profile that you are using, or to create a new profile, go into Control Panel->Mail and configure a profile that uses Microsoft Exchange. This profile does NOT have to be the same profile that is used to read your mail. The Exchange (MAPI) interface uses this profile to initialize and validate your access rights into Exchange.

If desired, check the option to automatically add/delete Exchange users when adding NT users. Hyena will prompt for confirmation before removing Exchange mailboxes.

If selecting the option to automatically add new mailboxes when adding users, you must also provide a default location for the container for newly added recipients, using a format such as the following:

/o=Exchange Organization/ou=Exchange Site/cn=Recipients Container

The first value is the name of the organization, followed by the name of the site, followed by the name of the recipients container.

If you want to use a template for new accounts, enter in the full directory path to the Exchange template account, using the following format:

/o=Exchange Organization/ou=Exchange Site/cn=Recipients Container/cn=TemplateDirectoryName

If you want to be able to select from multiple templates, separate each of them with a semicolon (";")

If you want to be prompted for the default container and template account, you can select that option as well.

For new Exchange recipients, you can also override the directory and home server names on the General Properties dialog.

To access the Exchange properties for a user, right click on the user (in any window) and select Exchange Functions->Mailbox Properties from the menu. If the user is associated with multiple Exchange mailboxes, you will be able to select the mailbox to modify from a list.

Limitations

See the Known Limitations and Issues section for a description of all known issues concerning Hyena’s Exchange integration module.

Exchange 2000

To configure Exchange 2000:

  • Select Tools->Settings->Exchange 2000

  • Select options to automatically add or delete (after confirmation) mailboxes when users are added/removed.

  • To create mailboxes, Hyena must be configured to know where to store the mailbox on the Exchange server. These configurations are called "Mailbox Location Templates".

To create a new Mailbox Location Template:

  • Click 'Add...'

  • Enter a friendly name for the template

  • Select the Windows 2000 domain that contains the Exchange 2000 configuration information

  • Click 'Find'

  • Hyena will display a list of all Exchange 2000 mailbox storage locations. Select one.

  • Repeat this process for any additional storage locations that need to be configured.

A template can be specified as the default storage location. If multiple templates are configured, the check box to "Prompt me for template when creating mailboxes" can also be selected.

For more information on how to create, modify, and delete Exchange mailboxes, see the Enterprise Features - Exchange Features topic.


Shared Settings

To make Hyena easier to use between many administrators or available for use from a centralized location, a mechanism for saving all of Hyena's settings into a file is supported. Hyena also supports a command line switch for retrieving configuration information from this file.

To enable Hyena to use a shared settings file, enter the full directory path to the shared settings file on the Tools->Settings->General dialog. In general, you should use a unc or network path. To create the shared settings file, check the "Save all of these settings..." checkbox under the Tools->Settings->General dialog. After clicking OK, the settings will be written to the file. Hyena uses a standard Windows .INI file format. Other users who want to use these settings need to enter in the file's path and name into their Shared Settings file setting.

Please note the following:

  • Hyena will permit multiple users to share the same file, however, only one user should ideally be permitted to make changes to the file. The checkbox to save to the settings file is OFF by default.

  • About 95% of Hyena's settings are written to the shared settings file, including home directory template information.

  • If a shared settings file is being used, but the settings are changed in Hyena and NOT saved to the settings file, the settings will be written to the local user's registry only.

  • Hyena only reads most shared settings during program startup. Therefore, a user will need to exit and restart Hyena to enable any new shared settings. However, home directory template information is read each time they are used from the shared settings file.

  • To prevent unauthorized users from modifying the shared settings file, place the shared settings file on an NTFS partition and set the file permissions appropriately.

  • If only a file name is entered for the settings file (no directory path), Hyena will store/read the shared settings file from the <profile directory>\SystemTools\Hyena directory. If a profile directory cannot be determined, the file will be stored in the installation directory. If a full directory path is entered, Hyena will store the settings file in the specified directory.

Object Manager Files and Roaming Profile Settings

Hyena will attempt to store and read all configuration information from the user's default profile directory. Hyena will create a \SystemTools\Hyena folder, and store all Object Manager files (ad_*.dat), registration (Register_key.dat), and optionally, shared settings, in the profile area. This "Roaming Profile" feature is enabled automatically, and is a requirement for the Windows NT/2000/XP logo program.

The location of the shared settings file, as well as the Object Manager files, can be specified and changed in the Tools->Settings->General dialog, permitting others to share the same configuration information.

Specifying a shared settings file on the command line

Hyena can be run with the name and path to a settings file on the command line, such as:

Hyena \\server\share\dir\config.ini

If the settings file is modified while Hyena is running, it can be re-loaded without exiting Hyena by simply accessing and closing the Tools->Settings dialog.


Terminal Server Setup

Setup for Modification of Terminal Server/Citrix user information

Important Note: Hyena’s Terminal Server integration features are only available in the Enterprise Edition of Hyena. Hyena’s Standard Edition will allow terminal server user settings to be viewed or modified only for the first 30 days after installation. This allows the functionality of the Terminal Server features to be fully evaluated before any additional licenses for it are purchased. For more information on the licensing of the Enterprise Edition, see the Licensing and How to Order section.

References to "Terminal Server" in this document also apply to Citrix installations as well.

See the Enterprise Features - Terminal Server Features for details on what features Hyena enables for Terminal Server administration.

Setting up Hyena to access Terminal Server user settings

Microsoft has added the interfaces for accessing terminal server user settings through a .DLL named “wtsapi32.dll”. This file is part of service pack 4 for Windows Terminal Server. It is highly recommended that any computer with user account information to be updated using this interface be upgraded to service pack 4 or later.

There are two methods to use Hyena to modify Terminal Server user information:

Install Hyena onto the terminal server itself, and connect to it through your workstation through a terminal server client connection. If your terminal server has sp4 installed, you should be able to see the "Terminal" tab on the user properties dialog.

- or -

Copy the following files into Hyena's installation or your workstation's system (System32) directory, which can be found in the system32 directory of a Terminal Server:

wtsapi32.dll

utildll.dll

winsta.dll

regapi.dll

Microsoft does not allow third party software developers to re-distribute these files. You will only find the wtsapi32.dll file if the Terminal Server is using service pack 4 or later.

Check to make sure that Hyena's installation directory is the working directory when you are using Hyena, and restart Hyena if necessary. You will then be able to modify any user's terminal server settings, by simply displaying the user Properties dialog, and selecting the "Terminal" tab.

Note that the icon used in Hyena for terminal server computers has been modified for easier identification of these servers.

See the Enterprise Features - Terminal Server Features for details on what features Hyena enables for Terminal Server administration.


Home Directories

Home Directory Templates

Hyena’s home directory template capability allows control over the creation of the home directory, home directory share, and both NTFS and share security. To configure home directory templates, select the Tools->Settings->Home Dir option. Hyena will automatically configure a default template, named “Default”. However, it must be configured prior to being used. Hyena will use a template anytime a home directory or home directory share must be created. The home directory configuration dialog will display all defined templates, plus the following settings:

Default Template for standard user profiles – Select the name of the template to use for home directories that are specified on the User Profile dialog. Select “(None)” to disable any template from being used.

Default Template for Terminal Server profiles – Select the name of the template to use for home directories that are specified for use by Terminal Server. Select “(None)” to disable any template from being used.

Confirm template prior to usage (when adding users) – If unchecked, Hyena will automatically use the designated default template when adding new users. When this option is enabled, Hyena will prompt for the template to use when adding new users. This prompt will appear BEFORE the user properties dialog is displayed. The selection of a template will configure the default home directory information on the Profile properties tab. When the user is actually added, the same template will be used to configure home share and security settings. Hyena will then re-prompt again for the template to use for the next user to be added. A check box on the bottom of the template confirmation dialog can be enabled to make Hyena use the same template for the entire user adding session.

Confirm template prior to usage (when copying users) – If unchecked, Hyena will automatically use the designated default template when copying users. Note that if the user being copied does not already have a home directory setting, Hyena will not automatically assign the new user a home directory. Hyena will only use a template for creation of a home directory (and security) if a home directory is specified or modified on the user profile dialog when copying users.

NOTE: When users are being modified, Hyena will always prompt for the template to use.

Template Definitions

From the home directory configuration dialog, use the “New” button to create a new template, or the “Copy” button to copy an existing template. In order to better understand how to configure a home directory template, consult the home directory definitions below for home directories and home directory shares, and then view the associated diagram.

User home directories can take two different formats in Windows, which are described as follows. Hyena will automatically determine what type of user home directory format is being used and apply the necessary changes, however, the template itself must be configured according to what type of home directory is being used.

Home Directories

User home directories use the format \\servername\sharename\directorypath when entered into a user’s home directory user profile. These type of home directories utilize a common sharename for all user accounts, with each user having their own unique directory path. Typically, the directory path portion of the home directory consists of the user name for ease of administration and identification.

Note: Hyena will not create the share that is part of the sharename portion of a home directory; only the last directory in the directory path will be created.

If this is the type of home directory format in use in your installation, consult the diagram and example below on how to configure the template for their use.

Template Name – Enter the name to use for the template.

New Home Directory Mask – Enter in a mask to use as a default home directory setting when adding new users. The symbol “%username%” can be used to represent the current user. In the example above, a setting of \\adkins\users\%username% would give all newly created users a home directory with a directory name equal to the user account, under a share named “users” on the server named “adkins”. In effect, all users will share the same share (named “users”), but each will have a unique directory (folder) for their home directory, under this common share.

Note that this setting is ONLY used for new users, and only to configure a default home directory “Connect To” path; this path can be changed is necessary. This setting is not used when modifying or copying users.

Drive – Enter in a drive letter to use as a default home directory mapping when adding new users.

Share Directory Local Mask – This setting does not apply for shared directories; it only is applicable when unique shares are created for each user home directory. See the Home Shares section below for more information.

Share Directory Remote Mask – This setting does not apply for shared directories; it only is applicable when unique shares are created for each user home directory. See the Home Shares section below for more information.

Security Settings – The symbol “%username%” can be used to represent the current user. Options are also available to overwrite any existing security settings, or warn (verify) before overwriting. If left empty, the home directory itself would be granted the same security as the parent directory. For better security control, it is advisable to explicitly specify security settings, rather than rely upon this default behavior.

After creating home directory run – See the Post User Batch Procedure section for more information about this option.

Home Shares

User home shares use the format \\servername\sharename when entered into a user’s home directory user profile. These type of home directories require a unique sharename for each user account. Typically, the user name is used for the name of the share, which is optionally hidden by placing a $ at the end of the share name. Hyena can create both the share and the underlying shared directory when copying and creating user accounts. If this is the type of home directory format in use in your installation, consult the diagram and example below on how to configure the template for their use.

Template Name – Enter the name to use for the template.

New Home Directory Mask – Enter in a mask to use as a default home directory setting when adding new users. The symbol “%username%” can be used to represent the current user. In the example above, a setting of \\adkins\%username% would give all newly created users a home directory share on the server named “adkins”, and set the share name to the name of the new user. A “$” sign can be added to the end of the share name to create a hidden share. Note that this setting is ONLY used for new users, and only to configure a default home directory “Connect To” path; this path can be changed is necessary. This setting is not used when modifying or copying users. When copying users, the home directory path/share of the user being copied is used instead.

Drive – Enter in a drive letter to use as a default home directory mapping when adding new users.

Share Directory Local Mask – Use this setting to control the format to be used for the local directory path when creating a home share. Windows requires that all shares be assigned a LOCAL path when they are created remotely. For example, if a user’s home directory profile specifies a home directory of \\HomeServer\JSmith, the share Jsmith must be assigned to a local (physical) drive and directory on the server named HomeServer, such as E:\Users\%username%. It is important to use the remote server’s exact local drive letter and directory path for this setting. The symbol %username% can be used to specify the name of the active user. If you are unsure of the local path for a user’s home directory, simply view the Path setting for an existing user’s share on that server.

Share Directory Remote Mask – Use this setting to specify a remote UNC path to the directory that will need to be created for the user’s home directory. Using the example above, if the local directory mask is E:\Users\%username%, the remote mask could be something like \\adkins\e$\users\%username%. Hyena will use this remote mask to remotely create the user’s home directory prior to creating the share. The symbol %homedirserver% can be used in place of the server and will be substituted with the name of the server specified as the location of the home directory in the active user’s profile. This setting is only used to create the directory for the remote home directory share.

Security Settings – Security settings can be configured for either the home directory, home directory share, or both. The symbol “%username%” can be used to represent the current user. Options are also available to overwrite any existing security settings, or warn (verify) before overwriting. If left empty, the home directory itself would be granted the same security as the parent directory, and the share would be given Everyone:Full Control. For better security control, it is advisable to explicitly specify security settings, rather than rely upon this default behavior.

After creating home directory run – See the Post User Batch Procedure section for more information about this option.

Post User Batch Procedures

A batch file can be specified in the Template Definition dialog that can be used to set additional user and/or group permissions automatically when a new user is added or a home directory is first specified, or to perform any other custom site-specific processing.

This batch file can contain any number of commands. To specify a command to add, for example, the "Domain Admins" global group to the user's home directory with Full Control, use this command:

echo y| cacls %1 /e /g "Domain Admins":F

Hyena passes six (6) parameters to the batch procedure that you specify:

%1 - name of the directory being created (the home directory exactly as entered on the User Profile dialog).

%2 - name of the newly created/modified user

%3 - name of the server sharing the directory, without leading backslashes.

%4 - name of the home directory share

%5 - name of the directory path following the share name. For example, if the home directory name is \\server\sharename\directory, then this value will be “directory”. If the home directory is \\server\sharename, this value will be “NONE”.

%6 – path to the root share representing the home directory. For example, if the home directory name is \\server\sharename, then this value will be the root share path to the “sharename” share, such as D$\users\directory.

Hyena will only run this batch procedure if it creates the home directory. Additional help on the cacls command can be found by entering the "cacls" command at the command prompt, in NT's resource kits, and on TechNet. Articles Q135268 and Q131780 are good references for the information presented here.

A final note: If your environment has more than one domain controller, then it's possible that the newly added user will not be known to all of the domain controllers until they are fully synchronized. While synchronization does happen automatically, it can take a few minutes to complete. During this time, the permissions on a newly created home directory may show "Account Unknown". Once the domain controllers synchronize the Account Unknown entry will be replaced with the actual username.


Object Manager

Object Manager - General

The Object Manager is Hyena's central control mechanism for controlling the way that domains, computers, and other objects are managed in Hyena. The Object Manager provides for flexible grouping of domains, computers, printers, directories, and urls into visual "folders". This allows administrators to create a custom view of their organization's network, which in turn provides for a fast and efficient method of accessing these resources. It also provides for an efficient way to access resources over a slow WAN link, from a non-trusted source, or through the internet.

The Object Manager also controls the sub-objects, or "nodes" that Hyena displays beneath some objects when expanded in Hyena's left tree window. Finally, the attributes that are displayed for Active Directory queries are also controlled through the Object Manager.

Object Manager File Storage Locations

Object Manager stores all of the information in a series of simple text files. This facilitates sharing of the files between multiple Hyena users, as well as roaming profile support. Object Manager files can be shared between multiple users by specifying a path for the "Path to Object Manager..." setting in the Tools->Settings->General dialog. The files used by Object Manager are:

ad_objects.dat - This is the main Object Manager file, which stores all of the information that is managed on the Objects dialog in Object Manager.

ad_schema.dat - The schema file is used to store the directory names and default field titles used in building views. The schema file is never modified by Object Manager and is overwritten on each Hyena installation, as support for new directory elements are added.

ad_nodes.dat - The nodes file contains the listing of the sub-objects that appear beneath any object when it is expanded in Hyena's left tree window.

ad_columns.dat - The columns file contains customized user attribute field titles and column widths. It is created automatically by Hyena.

ad_queries.dat - The queries file contains all of the queries used to generate the Listing and Tabular views.

The active versions of these files can be found in the <profiledir>\SystemTools\Hyena directory. The versions in Hyena's installation directory are the default versions of this file.

The Object Manager can be accessed on Hyena's toolbar [image], or through the File->Manage Object View menu option. The Object Manager's three (3) management dialogs consist of the Objects, Nodes, and Queries dialogs.

TIP - Make a periodic backup of these files to save Hyena's object configuration information.


objects

Object Manager - Objects

Managing Objects

The Object Manager supports many different types of objects. Depending upon the type of object, different elements may need to be entered. All object types, however, support a comment field, which is always displayed next to the object name in Hyena. The different types of objects that Hyena supports, and what needs to be entered into each Object Manager field is as follows:

Windows Domain - Enter the name of the domain in for the Name. Optionally, enter the name of a local BDC for the Source Controller to improve performance, and/or the name of the PDC for the PDC Name. See the Performance section for more information on these settings.

Windows 2000 Domain Controller / Server / Workstation - Enter any name and comment desired for the server or workstation. For the Computer Path, enter the NetBios name (or DNS path) of the computer. An ip address may also be entered for the path if name resolution is not available.

Printer - Enter any name and comment desired for the printer. For the Printer Path, supply a full path to the printer, for example \\PrintServer\Printer Name, or \\PrintServer\PrinterShareName. Printers do not have to be shared.

Object Grouping - Enter any name and comment desired to name the grouping. Grouping are explained in detail below under Other Operations.

Directory Path - Enter any name and comment desired for the directory. For the Directory Path, enter in the full unc-based path to the directory, for example \\server\share\directory.

Local Workstation - Enter any name and comment desired for the local computer. Hyena will automatically use the name of the local computer for this object's path.

URL - Enter any name and comment desired for the url. For the Address, enter in the exact internet address, such as http://www.systemtools.com.

Enterprise - Enter any name and comment desired for the Enterprise object. This object is used to browse Windows, Novell, and other network systems, using standard Windows network browsing capabilities.

External Object List - Enter any display name and comment for the External Object List. For the Path, enter in the local or network path to the external object list.

External Object Lists are used to break the Object Manager file (and the view used to manage this file) into smaller pieces for easier and more modular management. See the External Object Lists topic for more information about how to use and configure this capability.

Creating, Modifying, and Deleting Objects

To create a new entry, first click the New button, select an object type, complete the appropriate fields for the type of object being added, then click on the Add button.

To modify an existing entry, select the object from the object list, modify the desired fields, then click the Update button.

To delete entries from the Object Manager, first select the object(s) to delete, then click the Delete button.

Other Operations

Creating Object Groups - Object Groupings are used to group and organize other objects together. To create a group, first create a new object with the type of "Object Grouping". Then position the objects beneath the Object Grouping entry, select the objects, and then click the Right button. Use the Left button to move selected entries from beneath a group.

In the example above, the Storage, Downloads, and HP Color objects have been moved under the RESOURCE2000 domain entry and indented to the right to show that they are sub-objects under the RESOURCE2000 domain. Objects can be grouped and nested up to four (4) levels.

Moving Objects - One or more entries in the Object Manager window can be moved up or down using either the Up or Down buttons, or by selecting the objects to be moved, and dragging them with the mouse to the new position. Multiple objects can be selected and moved at the same time. Objects can also be moved by entering the new position number in the Move To field, then clicking the Move To button. The currently selected object's position is always displayed in the Object Information area. When moving objects, clicking on the Move Children with Parent Objects option will automatically move all children when the parent is moved.

Sorting - Use the Sort button to sort the selected entries by Object Name.

Importing Domains - To import one or more domains into the Object Manager list, use the Import Domains button.

Importing Quick Access files from previous versions - Use the Import Quick Access button to allow the Quick Access (Q*.dat) files used by previous versions of Hyena to be imported into the new Object Manager format.

Tip - If a different security context is needed to access a computer, right click on the computer, and select the Logon As option. Enter the name of a domain or server and a valid username/password. Hyena will then establish a connection to the computer using an alternate security context.


Nodes

Object Manager - Nodes

Managing Nodes

Hyena's Object Manager provides support for managing the sub-items, or nodes, that appear beneath objects in Hyena's left tree window. To configure Hyena's object nodes, first access the Object Manager, then change to the Nodes tab:

To disable a node, first expand the primary object, then click the Disable button. Nodes can also be moved up or down. Disabled nodes will not appear in Hyena, but can be re-enabled in the Object Manager->Nodes dialog.


Queries

Object Manager - Queries

Managing Queries

Hyena's Windows 2000 support is built around a very flexible and powerful query engine that is used to retrieve and display all Active Directory (AD) information. All user, group, and computer retrieval functions use this same query mechanism.

To create new AD queries or modify the existing queries that Hyena relies upon, use the [image] Object Manager (File->Manage Object View). The AD queries are managed on the Queries dialog.

Queries are object-type specific, meaning that a query that applies for user objects may not be applicable to a group object. To add or modify a query for a given AD object type, first select the type of object from the Query Type list. Any existing queries defined for that object type will be listed in the Current Queries list.

When Hyena is installed, over two dozen default pre-configured queries are automatically provided.

Query Display Formats

Query output can be displayed and viewed in either a "Listing" or "Tabular" format. Each type of format is available as separate context menu item for all Active Directory objects. For an illustration of the context menus, click here.

Tabular Output Format

The tabular-style format displays directory data in the standard report format that is used for the majority of Hyena's displays, whereby each directory attribute is displayed in its own column. The tabular format can be used on either multiple objects, or for single directory objects. The example below shows a typical detailed group listing in the tabular format:

Listing (List) Output Format

The list-style format is only applicable for single directory objects, such as a single user, group, OU, or computer. This format shows Active Directory (AD) data whereby each AD attribute is listed separately. In the example below, a portion of a detailed user query in the list-style format is shown.

The list output format also supports the "*" directory attribute, which will show ALL AD attributes that are defined for a given object. The list output format is an excellent tool for troubleshooting directory problems and viewing directory information in its native, unstructured format.

To create a new query, first click the New... button after selecting the Query Type. To modify an existing query's settings, click the Modify... button. To add or modify a queries attributes (fields), see the Changing Query Attributes section below.

Changing Query Settings

The settings for a query are always displayed in the Current Queries list. Query settings control the format used to display the query results, the displayable description, and whether the query is used as default output in either of Hyena's windows. A query's settings consist of the following:

Query Name - The query name is used for the display name on the Query menu (see below), as well as the identification name for the Current Queries listing.

Display Format - Query data can be displayed and viewed in either a "Listing" or "Tabular" format, or both (see Query Display Formats above). These two query formats will appear as a sub-menu under the Listing Views or Tabular View context menu for each directory object type.

Default Window - Queries can optionally be assigned to be the default display for a given directory object type and window. See the Default Query Window section below.

Default Query Window

Many Active Directory (AD) objects in Hyena's left (tree) window can be either expanded directly in the tree window by clicking on the 'plus' icon next to the object, or the contents can be displayed in the right (results) window by double-clicking on the object. These default actions are assigned to queries, which will automatically display the appropriate directory attributes. There are two types of default query windows, the Tree (left) window, and the Results (right) window.

Tree Window Default

When a query is assigned to be the default output for the tree (left) window, it will be used for the display of directory attributes when a given object is 'expanded' in Hyena's left tree window.

Note: Hyena will only display the first two (2) directory fields in the tree window. The second directory field will always be enclosed in parentheses ().

Results Window Default

When a query is assigned to be the default output for the results (right) window, it will be used for the display of directory attributes when a given object is double-clicked from Hyena's left tree window. The results window default query is also used when the applicable "View" menu option is selected from a given object's context menu.

Note: Hyena will not run a query when a single object, such as a user or group is double-clicked on. This action will always result in the display of the object Properties dialog.

A query can also be assigned to be the default display output for both tree and results windows.

Changing Query Attributes

The primary purpose of an Active Directory query, of course, is to display directory attributes (fields), and Hyena provides full flexibility in the creation and modification of the individual directory attributes for a given query.

To change or add directory attributes to a query, first select the query to modify in the Current Queries list. Hyena will display the query's current attributes in the lower left window, and display the current 'schema' in the lower right window. The schema list is divided into several sub-categories for easier attribute selection. However, any attribute can be selected and added to a query for any type of object.

Query attributes can be removed, added, or moved within the query. The order of the attributes determines the order of the display in Hyena. To change the title that is used to display an attribute, click the Modify... button.


External Object Lists

Object Manager - External Object Lists

External Object File Support

Managing a large collection of objects (hundreds or thousands of entries) in Object Manager can be a bit cumbersome. Object Manager supports "external" object lists that can be used to break the Object Manager listing into a more manageable size. External object lists can be stored anywhere, including a network location.

Creating an External Object List Reference in Object Manager

To create a link to an external object list:

  • Display Object Manager's Object dialog (File->Manage Object View...)

  • Click New and change the Object Type to "External Object List"

  • Enter a meaningful Name and optional Comment for the external list

  • Enter a Path, either a local or network UNC path, and file name for the external object file. Any valid file name can be used. The external object file is a standard tab-delimited text file (see file format below)

External Object List File Format

The format for external object lists follows the same format as the main Object Manager file, which is always named ad_objects.dat. Hyena stores and maintains this file either in the designated storage location as specified under Tools->Settings->General, or by default, in the active user's profile directory. Please note that the ad_objects.dat file stored in the Hyena installation directory is NOT generally used after installation.

If a large set of objects are already stored in the main ad_objects.dat file, and it is desired to move these objects into a separate external object file, follow these steps:

IMPORTANT: First, create a backup of the existing ad_objects.dat file.

  • Using Notepad, or any text editor, open ad_objects.dat and find and select the area to export. The entries are stored in the same order as displayed in Hyena.

  • Cut/remove the items from the file, and create a new file with the name as specified for the External Object List in Object Manager. Paste the items into the new file and save the file to the appropriate directory.

NOTE: The individual items in the file are separated by the TAB character.

To create an external object file manually, or by an external program, use this guide for the individual fields. Again, the fields must all be TAB delimited. The field order for both the main Object Manager file and External Object Listings is as follows:

Object ID - This field is not currently used for External Object lists. Nesting of objects is not currently supported. This field can be left blank/empty, or a unique number can be assigned to each object (row). If entered, this value must be numeric.

Object Parent ID - This field is not currently used for External Object lists. Nesting of objects is not currently supported. This field can be left blank/empty.

Object Type - The object type is used to indicate the type of object, for example a workstation or printer. Use the following table as a guide when setting this value. This value must be one of the following numeric codes:

99 - Windows (NT) Domain

101 - Windows 2000 Domain

113 - Windows 2000 Domain Controller

33 - Server (any operating system version)

24 - Workstation (any operating system version)

9 - Printer

52 - External Object List

86 - Directory Path

23 - Local Workstation

89 - URL

46 - Enterprise Networking

Reserved - Set this value to '1'

Object Name - Used for the display name in Hyena's GUI for the object.

Object Comment - Optional, used for the comment

Object Path - Used to specify the path to the object. See the Object Manager documentation on how to format the path depending upon the Object Type.

Object 'Server' - The server field is used only for domain objects as a mechanism to reference a specific server. See the Object Manager documentation on when and how to use this field.

Note: Additional External Object Lists can be referenced within an External Object List (IE you can nest External Object Lists inside one another).


Windows 2000 Domains

Using Hyena with Windows 2000 Domains

To enable Hyena to use Active Directory functions for some operations, the domain type must be set to Windows 2000 in Hyena's Object Manager.

To add a new/additional Windows 2000 domain, click on Hyena's first toolbar button [image] (Object Manager), then:

  • Select the New button

  • Select "Windows 2000 Domain" from the Object Type combo box

  • Enter in a descriptive name and optional comment. The name does not have to be the actual Active Directory or Netbios domain name.

  • Enter in the ADSI Path to the domain, for example: "LDAP://domainname" or "LDAP://domainname.com"

  • Leave the ADSI Server field blank, or see the Performance section on how to optionally configure this field.

To change an existing domain in Object Manager to a Windows 2000 domain, select the domain in the Object Manager, change the Object Type to Windows 2000 Domain, enter the ADSI Path as outlined above, and then click the Update button.

When a Windows 2000 domain is expanded in Hyena's left tree window, additional sub-objects are displayed, specifically: Containers/OUs, All Groups, and Universal Groups objects. More specifically, all management of the display of OUs, Users, Groups, and Computers are now handled entirely by LDAP queries to Active Directory.

Note: Existing Windows 2000 domains can still be managed and used in Hyena as "Windows Domains". Changing the domain type to "Windows 2000 Domain" only configures Hyena to use the new Active Directory and OU functionality on a given domain.


Organizational Units

Note: For all references that follow, the term "OU" will be used for any Windows 2000 container or Organizational Unit.

The Containers/OUs object, which by default is displayed just under a Windows 2000 domain when it is expanded in Hyena's left tree window, will display all OUs for any Windows 2000 domain. Context menu options for OUs include creating a new OU, accessing OU properties (including Group Policy information), creating a new computer, group, user, contact, or OU, and the Find... option.

Note: Hyena is only presently capable of displaying user, group, computer, contact, and other organizational units in OUs.

Creating New Objects - When new user, group, computer, contact, or OU object is created, Hyena will always prompt for the destination OU, defaulting to the selected OU or the selected object's OU. The "OU Selection" dialog will also allow for selection in how an object is created: either by the built-in Active Directory object creation 'wizard' or directly by Hyena. If a wizard is used to create the object, Hyena can optionally display the object's properties dialog after the object is added.

In order to use any of the Active Directory 'wizards' for creating objects, the Administrator MMC tools (AdminPak.MSI) must be installed on the computer that is using Hyena. The AdminPak.MSI file can be found in the \I386 directory on the Windows 2000 Server CD. If you are using Windows XP, the equivalent of this file is available on the .Net beta CD or on Microsoft’s web site.

Managing Group Policy Object Information - Group Policy Object (GPO) information is available and can be managed from several locations in Hyena:

  • Hyena's OU Properties dialog includes options to view linked GPOs, edit, manage Properties, and set individual GPO options.

  • The "Policies" container can be opened in Hyena to display all defined GPOs, with options to set the Properties and Edit any selected GPO. The Policies container is a sub-container of the System container under the main Containers/OUs object.

  • The context menu option "Browse for GPO" for the Containers/OUs object in Hyena can be used to create, delete, or manage GPO objects.


Finding Directory Objects

Finding Active Directory Objects

Active Directory has a built-in method to find and filter objects in the directory. The Find dialog is typically found in various Windows 2000/XP MMC applications. Hyena adds an important feature to this standard dialog: The capability to save the queries to a file, which can then be used either from within Hyena or from within Windows Explorer.

To save a Find/Filter Active Directory query, first display the Find dialog by selecting Find... from the context menu for any Containers/OUs object, or from any OU. After displaying the objects in the Find dialog, select File->Save Search, and enter in a file/path to save the query to. The resulting file will have an extension of .QDS, and can be simply double-clicked in either Hyena or Windows Explorer. This will run the query and display the results in the lower portion of the Find dialog.

Another way that these saved queries can be used is to save them into a central directory, and use the Object Manager's Directory Path object to access the queries quickly. Note that right clicking on any object in the lower portion of the Find dialog will display the standard Active Directory context menu options.

Limitation: The context menu that can be accessed on objects in the Find dialog does not contain Rename and Remove options. This appears to be a Microsoft limitation.


Directory Objects - User, Groups, Computers

Active Directory Objects

Active Directory user, group, and computer objects (All Users, All Groups, Global Groups, Local Groups, Universal Groups, Computers) are actually pre-defined Active Directory queries that can be used to manage the users, groups, or computers across an entire Windows 2000 directory, regardless of what OUs the individual objects are in.

The context menus for all Active Directory objects will have Listing or Tabular "views" that can be selected to display information in Hyena's right list window. In the image below, the context menu is displayed for a typical directory group. Similar menus are available for all directory objects, including combined All Users, All Groups, etc. objects.

The two types of views that Hyena can display are:

Listing Views - Listing, or "list" views are used to display information for a single object. List views display directory information "down" the screen, and as such, are useful when a detailed listing is needed for a large number of object attributes.

Tabular Views - Tabular views are used to display information for one or more objects in a column/report format, with field headings and each attribute displayed in a separate column.

Both Listing and Tabular views have the following features:

  • Multiple views can be defined and are made available from the context menus.

  • Listing and Tabular views are assigned to objects by type, so a view for a group can be different than a view for a user object.

  • The number and order of the directory fields can be controlled and customized.

Views can be assigned as a default when an item is either expanded in or double-clicked on. The default listing view is used to display information under an object in the left tree window; the default tabular view is used to display the information in Hyena's right list window when an object is double-clicked.

The Listing and Tabular queries are managed in the Object Manager Queries dialog.

Information in views can be shared between users through sharing of the Object Manager configuration files.

Either Listing or Tabular queries can be run on selected (and supported) objects in either of Hyena's windows. For example, to run a tabular query on multiple user accounts, select the desired user accounts in Hyena's right window, right click to display the context menu, then selected the desired tabular query from the Tabular Views sub-menu. This technique can also be used to get a detailed user attribute listing for users that are members of a particular group.


Reporting

Active Directory Reporting

Hyena's built-in Microsoft Access reporting features have been extended to support exporting of any Active Directory information directly into Microsoft Access tables.

When first run, Hyena will check to see if an older copy of the reporting database (HyenaRpt.MDB) exists, and prompt if it should be renamed, then replaced with the newer version. In order to use the new Active Directory export/reporting options, the newer version of the reporting database must be used. To use the new reporting options:

  • Display any Active Directory view in Hyena's right list window. For example, right click on the All Users object for a Windows 2000 domain, and select Tabular Views->Users (Detailed General).

  • Then, select Tools->Run Report.

To export the information into an existing Access table, enter the table name of the existing table. To create a new table, enter the name of the new table to create. Hyena will then export the information displayed into the selected table and display the table.


Domains

One of the primary points of management in Hyena is the domain. Domain objects, represented by the [image] symbol in Hyena's tree view window, each form a top-level object, with the objects within the domain represented in the hierarchical display under the domain.

In the example to the right, the RESOURCE2000 domain has been expanded to show the primary domain objects beneath it.

Hyena will by default always include the user's current domain in the tree display. Other domains can be added and removed from the display, by either using the File->Add Domain... or File->Manage Object View... menu options. For more information on adding domains in Hyena, including putting them into folders and custom groups for easier management, see the Configuring Multiple Domains topic.

Hyena will automatically expand the current domain when first started. This option can be changed in the Tools->Settings->General dialog.

Hyena will also generate most inquiries, such as generating a user list, from the Primary Domain Controller (PDC) for Windows NT, and the Operations Master for Windows 2000. However, Hyena can be configured to retrieve most requests for large groups of objects (such as users and groups) from any domain controller for a domain. To use this feature, set the Source Controller for the domain. See the Setting a Source Controller topic for more information.

Hyena supports both Windows NT and Windows 2000 domains. Use Object Manager to change the domain type, and configure other Active Directory features. To find out more about Hyena and Active Directory, start here.

Domain Operations

Audit Policy

The Audit Policy option is used to enable and disable auditing options for the domain, and to set individual auditing settings. Hyena supports both Windows NT 4.0 and Windows 2000 audit settings.

Account Policy

The Account Policy option is used to set password options for the entire domain, including minimum password length, minimum and maximum password age, and password history tracking. Account lockout options are also controlled through the Account Policy.

Viewing Trusts

Hyena's Show Trusts option permits viewing the trusted and trusting domains. Hyena does not currently support modification of existing trust relationships.

Sending Messages

The Send Message option permits messages to be sent through Windows NT/2000's alerting function. All users and computers logged onto a domain will receive the message.

Synchronizing

The Synchronize Entire Domain option will perform a full domain synchronization with all domain controllers. To synchronize only a specific domain controller, perform the Synchronize option on the context menu for that specific domain controller.


Computers

Most of Hyena's objects and functions are based on management of computers. Besides computer-specific functions (described below), Hyena will display a variety of objects beneath all computer objects in the tree window. Use the topic links below for more information.

Users | DFS | Disk Space
Global Groups | Sessions | Processes
Local Groups | Open Files | Scheduling Jobs
Printers | Services and Devices | User Rights
Shares | Events | Object Manager

A number of functions are available in Hyena specifically for computer objects, as follows:

Viewing Computers

Hyena includes different objects and methods for viewing and managing computers:

Domain Computers, [image] Domain Servers, and [image] Domain Controllers - These objects, displayed under each domain tree, can be used to display and manage computers in any given domain. The View All Computers, View Servers Only, View Workstations Only, and View Computers menu options (available on the Domain Computers object) can be used to filter/restrict the type of computers to view.

Enterprise - The Enterprise object, located at the bottom of the tree window, provides access to both Windows domain and workgroup computer lists, as well as other options for viewing computers. See the Enterprise Object topic for more information.

Adding / Removing Computers

To add new computers to a domain, select the Add Computer option. Note that the comment associated with a computer will not appear for newly added computers until Windows NT/2000 adds it to the local domain's browse list.

Use the Remove from Domain option to remove one or more computers from the domain.

Computer Properties

The Properties option for computers can be used to change the computer's comment, as well as view the remote time, operating system and service pack information, and a list of all installed hotfixes.

Note that a modified comment associated with a computer will not appear until Windows NT/2000 adds it to the local domain's browse list.

Viewing the Computer's Password Age

Both Windows NT and Windows 2000 maintain a password for computer accounts. These passwords are set automatically by the client (workstation) and the computer's domain. The relevance of the password date, or age, is that since they are updated at least once per month, an old password age date could indicate that the computer is no longer operational. This can be used to remove old computer entries from the domain list.

To view the password age on all computer accounts, right click on the Domain Users global group and select View all User Member Details. Sort the resulting list by the password age column, and note the age for the computer accounts; these entries will be displayed with a computer icon next to the "username", which will be the name of the computer followed by a $.

Shell (Explorer) Functions

Hyena will display the Windows Explorer shell menu, when the context menu is displayed for any computer. This option can cause a slight delay when the computer is right clicked on; this feature can be turned off under Tools->Settings->View.

Shutdown and Reboot

Hyena's Shutdown option can be used to shutdown, and optionally reboot, one or more computers. In the list window, the selected computer or computers can be shutdown and rebooted at the same time.

The Shutdown feature does not require any remote agent or software to be installed. The Shutdown dialog allows a configured timeout to be applied to the shutdown operation, plus has options on automatic reboot, and termination of active applications.

Controlling Services

When one or more computers are selected from the list window, the More Functions menu can be used to either change the startup settings or to start/stop a designated service. Since this operation can be done for any number of selected computers, making mass changes on services or service startup information can be quickly accomplished. See the Services and Devices topic for more information.

Adding Remote Jobs (Job Scheduling)

From the list window, when single or multiple computers are chosen, the More Functions menu can be used to schedule (add) a remote job using the AT scheduling system built into Windows NT and Windows 2000. See the Scheduling Jobs topic for more information.

Changing Passwords for Accounts

From the selected computers or computer from the list window, the More Functions menu can be invoked to change a designated account's password for all selected computers using the Set Account Password function.

Adding / Removing Members of a Local Group

When one or more computers are selected from the list window, the More Functions menu can be used to add or remove a designated user or global group to a local group. This operation can be carried out on a large number of computers at the same time, providing a quick way to manage large-scale changes on local groups. Use the Add/Remove Group Member menu option to access this feature.

Sending Messages

Hyena supports sending a message to one or more computers using Windows NT/2000's alerting capabilities. Use the Send Message context menu option to access the messaging dialog.

Logon As

If a different security context is needed to access a computer, right click on the computer, and select the Logon As option. Enter the name of a domain or server and a valid username/password. Hyena will then establish a connection to the computer using an alternate security context.

Object Manager

The Object Manager is Hyena's central control mechanism for controlling the way that domains, computers, and other objects are displayed in the left tree window. The Object Manager provides for flexible grouping of domains, computers, printers, directories, and urls. Computers can be manually entered into any group, providing for a fast and efficient method of accessing computers over a slow WAN link, from a non-trusted source, or through the internet. For more information on using the Object Manager, see the Object Manager topic. The Object Manager can be accessed on Hyena's toolbar, or through the File->Manage Object View menu option.

To quickly add a computer to the Object Manager list, use the Add to Object Manager menu option.

Viewing Logged on Users

Hyena can display the current interactive and service account users of a given computer. See the Viewing User Logon Information for more information on this topic.


User Management

Managing Users - Feature Summary

Hyena takes user management to a new level from what is available using native Window NT and Windows 2000 utilities. There are also a number of options and settings than can be configured for user management. See the User Settings and Options section for a complete list of these options. The list below summarizes the primary features of Hyena's user management options.

Active Directory Support - Hyena supports the new Windows 2000 Active Directory user fields, including a few that the native tools do not display.

Adding Users - After a new user is added, the new user's properties are available in the right window of the User's Properties dialog. This allows both the ability to see which users have been added, as well as allowing individual user's properties to be examined without leaving the main window. This option can be turned on or off under the Tools->Settings->User "Show User Preview Window" option.

Hyena also has a "Set" button next to the Confirm Password field that can be used to set a confirmed password. Once set, additional new users will automatically inherit the established password, without having to enter it each time.

Note: The password that has been set only remains for the duration of each user addition session. It must be re-established the next time that users are added.

User Modifications and Deletions - Hyena provides full support for modification and deletion of user accounts. When using Exchange integration, Hyena can also be configured to automatically remove all Exchange mailboxes associated with the user account.

Multi-user Modifications - Hyena allows for any combination of users to be modified at the same time. Multiple users can be selected by listing the appropriate group of users in the list window, and then selecting the range of users with the mouse. Hold the shift key down to select a range of users, or hold the Control key down to select specific users. While modifying the properties for multiple users, each individual user's properties can be viewed in the right window.

Note: Hyena uses most of the same conventions established by Windows NT and Windows 2000 utilities when modifying multiple users. If a value is BLANK, this indicates that all of the users being modified have differing values, while any non-blank values indicates that all of the users have the SAME value. When OK is clicked to updates the users, Hyena only processes the entries that have a value (non-blank) specified for them. This brings up a bit of a paradox: how to intentionally blank out an existing value for more than one user. To do this, simply enter ~DEL into the field that you want to be cleared. Any input cell with a ~DEL will have its contents cleared.

Viewing Users by Group Membership - Due to Hyena's layout and design, any local or global group can be easily expanded to show the user membership. The properties of these users can in turned be managed directly without the need to access a user list. Combined with the multi-user management options in Hyena's list window, this feature provides the capability to manage users by group membership in addition to individual user modifications.

Viewing User Details - Hyena includes a unique function to view all user detail information for an entire domain at one time, by right clicking on the Domain Users object, and selecting View all User Details. This function will list all user attributes in the list window, for easy sorting, filtering, and total enterprise-wide management. This function can also be used for individual users, or for any selected group of users, or for the users that belong to a particular group. This view can be customized in the Tools->Settings->Display dialog.

Copying Users - Users can be copied in Hyena, providing for a quick way to duplicate some or all of the attributes of an existing user account. Users can also be copied to another computer, either individually or in mass from the list window.

Note: Copied users will get a new SID, so any existing security assignments must be reset based on the newly copied user account.

For more information on copying users to another computer, see the Copying Objects topic.

Sending Messages - Hyena supports sending a message to one or more users from any user display. These messages will be sent and displayed using Windows NT/2000's alerting capabilities.

Viewing User Logon Information - Hyena can both show the logon statistics for a user across multiple domains, plus can be used to show which users are logged onto a given computer.

Exchange Integration - Hyena can be integrated with Microsoft Exchange to provide a single source of user mailbox administration.

Terminal Server / Citrix User Settings - With minimal setup and configuration, Hyena provides support for modification of user Terminal Server/Citrix information, including home directory integration as well.

Renaming Users - When renaming users, Hyena will first prompt for the new user name directly in its tree or list windows. After entering the new user name, Hyena will display the Rename User dialog, which has options for renaming the user's full name, and home and profile directory locations. For Windows 2000, Hyena offers additional modification to user elements when renaming users, as well as the proper handling of renaming the Active Directory name.

Home Directories and Home Directory Security - Hyena supports the creation of home directories and home directory shares automatically, both for new and copied users, using flexible templates. See the Home Directory Templates section for more information on this feature.

Home Directory Batch Procedures – Hyena can be configured to run a batch procedure after home directory creation. See the Home Directory Templates section for more information on running a batch file after creation of the home directory.

Home Directory Exploring - The contents of the user's home directory can be explored by selecting the Explore option after right clicking on the home directory property of a user in the tree window. This option is also available on the Profile dialog.

Profile Management - The dialog for profile and script properties has been designed to allow searching for profiles, logon script, and home directory. To make the best use of these features, always start your search through the Network Neighborhood icon in the corresponding find dialog. This will allow the full UNC path to be returned instead of any mapped drive paths. The logon script can also be modified directly using any editor. See the General Configuration section for more information on editor setup, and the User Configuration section on how to setup the default logon script directory.

Account Note - Hyena provides access to the account note field, which can normally only be seen using the Net User command in Windows NT or Windows 2000. This field provides a mechanism to enter in notes and comments for users. It is displayed on the User Account properties dialog.

Post-User Batch Procedures - Hyena also supports running an optional command file for each user addition, modification, or deletion. This option can be enabled and the name of the batch file specified in the Tools->Settings->User dialog. When the command procedure is run, the following parameters are passed to it:

%1 = Action. This value will be set to ADD for additions, DEL for deletions, MOD for a single user modification and MODS for multi-user modifications.

%2 = Server

%3 = Username

%4 = Home Directory

%5 = Home Directory Server

%6 = Home Directory Share

%7 = Home Directory Path

%8 = Old (Former) Home Directory

%9 = Date and Time

Note: The MODS action for multi-user changes is important to take into account in your batch procedure because when modifying multiple users, most parameters will be blank, to indicate that NO CHANGES are to be done.


User Logon Information

Viewing User Logon Information

Hyena supports both viewing a user's logon information, such as the last logon, as well as viewing which user(s) are logged onto a given computer.

To view the logon history for a selected user, select the View Logon Information from the user's context menu. Initially, the user's logon information will be displayed for the current user's server only. If the user selected belonged to a domain, the information initially displayed will come only from the Primary Domain Controller (PDC) for the user's domain.

To view the user's logon information for an entire domain, enter the name of a Window NT/2000 domain in the Domain Name field, and click on the Check All Domain Controllers button. Hyena will then query all known domain controllers in the selected domain for the user's logon information.

Review the list of domain controllers carefully, since a missing controller on the network browse list will result in missing information. The logon information can be used for security and network traffic analysis since it represents that the user validated against the indicated controller.

To view which user(s) are currently logged on to a computer, select one or more computers (in either the tree window or the list window), and select the View Logged On Users context menu option. The resulting list will include any interactive logged on users, as well as service accounts that are using non-Local System logon accounts. This information can be copied to the clipboard as well.


Active Directory

Active Directory User Integration

Hyena's Active Directory integration enables any Windows 2000/XP client computer running Hyena, or a Windows NT 4.0 computer with the Active Directory Service Interface installed, to manage new user directory elements.

If you wish to install the ADSI components for Windows NT 4.0, they can be downloaded from http://www.microsoft.com/ntserver/nts/downloads/other/ADSI25/default.asp

Hyena's Active Directory integration must first be enabled under the Tools->Settings->User dialog, by selecting the Show user Active Directory property dialogs option. Hyena must be restarted once this option has been turned on for the first time.

Hyena uses an LDAP interface for all user administration functions on Windows 2000 users. Hyena will automatically detect if a user belongs to a Windows 2000 domain, and automatically add several new dialogs to the user properties function, as show below.

Address - Includes fields for the user's address

Organization - User title, organization, division, etc.

Personal - Includes user's first name, list name, etc. Also supports displaying and setting the user's photo. If you use this feature, Microsoft recommends using a .gif or .jpg file (due to their compressed size). Active Directory stores the actual binary picture information, NOT the path to the picture file, and since this information will be replicated, the picture sizes should be small to reduce network traffic.

Security - Includes display of the creation and modification date of the user, plus new user account attributes related to security.

Notes - User fields for "Notes" and "Comments"

Contact - Contains a list of all Active Directory phone numbers, email addresses, and web site urls. Unlike the Windows 2000 MMC application, these contact points are consolidated into one list box, so that the entire listing of phone numbers/email/web urls are all visible at one time.

Object - The object dialog includes information on internal Active Directory information, such as the GUID, SID, modification and creation dates, and directory path. The Managed By information is also managed on this dialog.

Hyena uses a sophisticated mechanism to only modify Active Directory user fields that have actually been changed, so multiple administrators can safely manage different pieces of the same user properties. Plus, this feature keeps network traffic to a minimum.

Hyena also will properly rename user objects under Windows 2000. When renaming users, Hyena will first prompt for the new user name directly in its tree or list windows. After entering the new user name, Hyena will display the Rename User dialog, which has options for renaming the user's full name, and home and profile directory locations. For Windows 2000, Hyena offers additional modification to user elements when renaming users, as well as the proper handling of renaming the Active Directory name.

Differences between Windows NT and Windows 2000 user property management

Hyena's user management dialogs for Windows NT user accounts are very similar to the dialogs used to manage Windows 2000 users, with only a few differences.

For Windows 2000 users, Hyena will automatically:

  • Display the user's full name as the "Display Name"

  • Change the "User Name" field to be the "Directory Name"

  • Display a different group membership dialog

Hyena requires entry of the "Directory Name" when a Windows 2000 domain user is created. This is the first field on the General user properties dialog. This name is primarily used internally by Active Directory to construct the full directory path. We recommend that the directory name be kept reasonably short, and free of punctuation characters. Here is an example of a full LDAP path, for a user with the directory name of "JohnSmith":

LDAP://alexis.systemtools.com/cn=JohnSmith,cn=Users,dc=systemtools,dc=com

Hyena supports modification of the Pre-Windows 2000 logon name and the Windows 2000 logon name on the user "Account" dialog. If left blank, the Pre-Windows 2000 logon name will default to the current value of the "Directory Name", which is the first field on the General properties dialog. This is the former "User Name" as used under NT 4.0, and will be used by NT 4.0 users when logging into the Windows 2000 domain.


Groups

Hyena provides support for management of both [image] Global Groups and [image] Local Groups. The information presented in this topic applies to both types of groups. Global groups are only available for domain objects.

Displaying Group Properties and Members

Group objects can be expanded in Hyena's tree window to reveal the members of the group. Double clicking on a group name will display the group's members in Hyena's list window. The Properties dialog for a group or group member can be displayed from either of Hyena's windows.

To display the properties for a group of users that belong to a given group, display the group's members in Hyena's list window, then select one or more of the members, and display the User Properties dialog.

The View all User Member Details option, when used on a group, will display all of the group's members properties in Hyena's list window. For global groups, this function will only show the details of the user members of the group. This option can also be performed for any selected number of user group members in Hyena's list window.

Creating New Groups

To create a new group, use the New Group context menu function from the main Global Groups or Local Groups object.. To quickly create a copy of an existing group (ie "clone" the group), use the Copy Group function available for any group object.

Long Group Names

Hyena supports long group names; Hyena limits group names to 64 characters long. A warning will be displayed if a long group name is entered, as some native Windows NT utilities will not permit a long group name.

Renaming Groups

Hyena fully supports renaming a group. To rename a group, simply display the Properties dialog, and type in a new name.

Renaming a group only changes the name; the SID of the group is not affected, so existing resource security settings are not affected by a group rename.

Deleting Groups

To delete a group, use the Delete Groups menu option. Note that multiple groups can be removed at the same time from Hyena's list window. Be careful when deleting groups, as the operation cannot be reversed.

Copying Groups and Group Members

Hyena supports both copying groups from one computer to another, as well as copying the members of an existing group to another group. For more information on copying groups and group members, see the Copying Objects topic.


Printers

Hyena fully supports management of printers and print jobs under both Windows NT and Windows 2000. All printer management functions are available under the [image] Printers object for any server or computer. Hyena can discover and manage any printer on any Windows computer, including non-shared printers.

Viewing Printers

Double clicking on the [image] Printers object will display all of the printers for the selected server in Hyena's list window. Or, the Printers object can be expanded in the tree window. Either window permits access to all of the printer functions.

Hyena will set the icon next to the printer to indicate the status of the printer as follows:

Printer is busy (printing)

Printer is idle

Printer is offline (paused)

The Printers view in the list window can be customized under the Tools->Settings->Display dialog.

Viewing and Managing Print Jobs

Hyena includes full support for managing print jobs. Double clicking on any printer in the tree window display or selecting the View Print Jobs option will display a printer's print jobs in the list window.

Print jobs can be paused, resumed, restarted, or canceled.

The Print Jobs view in the list window can be customized under the Tools->Settings->Display dialog.

Setting Printer Properties (Shell Functions)

The Shell Functions menu option for all printer objects will give access to the following printer functions:

Properties - Displays the Properties dialog for a printer, providing access to sharing, driver, ports, and security features.

Open Printer - Displays the Shell window for management of printer jobs and other printer functions.

Document Defaults - Primarily gives access to driver-specific printer configuration dialogs, include page setup.

Server Properties - Print server properties, including spooler file location, driver files, and other server configuration settings.

Add New Printer - Displays the add printer wizard, permitting a new printer to be added to the selected print server. In most cases, print drivers and lpr ports can be added as well.

Controlling Printers (Pause, Resume, Purge)

The printer context menu includes the Pause, Restart, and Purge all Print Jobs options.

Pause - Pausing a printer takes the printer offline. Print jobs sent to a paused printer will be queued, but not printed.

Resume - The Resume option attempts to place a printer back online.

Purge all Print Jobs - The Purge option will remove all queued print jobs. The current print job may or may not be affected by this command, depending upon the printer driver. Hyena can also remove individual print jobs.

Copying Printers

Hyena supports copying printer configuration from one computer to another, using the Copy Printer(s) To option. For more information on copying printers, see the Copying Objects topic.

Creating New Printers

Hyena supports adding new printers by selecting the Add New Printer... option from any printer context menu or from the main Printers object for any server. In most cases, print drivers and lpr ports can be added as well. This feature is only available when Hyena is run on a Windows 2000 (or later) client.

Object Manager Integration

Printers can be added quickly into the Object Manager, either manually or by using the Add To Object Manager context menu option. For more information on the Object Manager feature in Hyena, see the Object Manager topic.


Share Permissions

Share Administration

Hyena has a complete set of functions and support for share administration, including file and directory administration.

Share Properties

Share properties, including permissions, are accessible through the Share Properties dialog. To access this dialog, simply right mouse click on a share name, and select Properties. Hyena's share properties display includes a view of the security, number of connected users, and all share settings. Modification of share permissions are made through the Properties display.

Adding New Shares

To add a new share, simply right click on any directory and select Share As, or right click on the Shares object for any server and workstation, and select Create New Share.

Hyena's New Share dialog will automatically detect if the shared directory does not exist and will prompt you if you want to create it during the share creation process; you do not have to create the directory in advance.

Renaming / Moving Shares

To change the name or path of a share, simply change the data displayed on the share properties dialog.

Note that Windows NT/2000 requires the removal of a share before it can be renamed or have its path shared, thereby causing all current connections to be terminated.

Viewing All Share Permissions

Hyena includes a unique function to view the permissions on all of the shares for a given server at the same time. This provides a way to audit and report the share security for many shares concurrently.

To view the permissions for all of the shares on a server, right click on the [image] Shares object, and select View all Access Rights.

Share Permissions

Hyena’s share permissions dialog is nearly identical to the built-in permission editor in Windows NT. However, there are a few differences:

Removing User/Groups – multiple users/groups can be selected and removed at one time.

Changing Access Permissions – double clicking on a selected user/group will change the access type to the next permission type.

Adding New User/Group Permissions – when adding permissions for new users and groups, different permission levels can be assigned to the newly added members; you do not have to assign each newly added group the same permission level.

Warning for changing existing user/group permissions – when adding a new user/group that already has been assigned share permissions, a warning will be issued if the user/group has already been assigned a different permission level.

Note: There are several additional issues concerning share permissions that should be noted. See the Known Issues and Limitations section.

Showing Connections

To view the current connections to a share, select Show Connections. Connections can be disconnected, or messages can be sent to either the computer or user that is associated with the share. The share connections display includes the user, computer, open and user resource count, time (duration) of the connection, and the share name.

Removing Shares

Shares can be removed in Hyena through either the tree or list window, with the Stop Sharing option. Since multiple objects can be selected in Hyena's list window at the same time, removal of multiple shares can be performed when the shares are selected in the list window. Use care when removing shares, since user connections will be terminated automatically.

Note: Removing shares does NOT remove the data that is stored on the shared directory.

Copying Shares

Hyena supports copying shares from one computer to another, using the Copy Share(s) To option. This action copies the share information, but NOT the data stored on the share. Hyena will, however, optionally create the shared directory, and can assign the existing file and share security to the new shared directory. For more information on copying shares, see the Copying Objects topic.

File and Directory Administration

Hyena includes very powerful integration with the Windows NT and Windows 2000 shell (Windows Explorer). Hyena can browse any share, and manage the directories and files. See the File and Directory Administration topic for more information on this functionality.

At any share level, the File Properties option will present the Explorer context menu for the shared directory itself. Create Directory can be used to create a subdirectory of a shared directory. The View NTFS Security option can be used to display all of the NTFS security settings for an entire directory tree starting at any share point.

Use the View NTFS Security feature to scan multiple share points simultaneously when the shares are selected at the same time in the list window.

By using the shared directories to access folders and files, the entire contents of any remote drive can be managed with Hyena. To get access to files and folders in the root of a drive, use the root (admin) shares.

More information on file management functions, including the View NTFS Security feature, can be found in the File and Directory Administration topic.


File and Directory Administration

Hyena includes a complete selection of file and directory administration functions. Most of these functions utilize, or are directly available from, the Windows Explorer shell menu that Hyena makes full use of. This ensures full integration, protection, and compatibility with all versions of Windows NT and Windows 2000.

Explorer Shell Integration

Hyena will display the Windows Explorer shell menu when the context menu is displayed for any file or directory, including a share.

Viewing NTFS Security

The View NTFS Security feature in Hyena is available for all share, directory, and file objects. When used for shares, the function will display the NTFS security on the shared file directories (not the shares themselves). The purpose of the View NTFS Security function is to display all of the security access entries for the selected object(s), including ownership, user/groups, and access rights.

Depending upon the size and number of files, this function can take some time to complete.

When this option is selected, the View Object Security dialog is displayed, which has the following options:

View Options

Selected Object(s) Only - Select this option to only display security information for the object(s) selected. For directories, this will only result in the directory entries themselves to be displayed.

Selected Object(s) and all Directory Contents (first level) - Select this option to display security information for both the selected objects, and all contents of any directories.

Selected Object(s) and all Directory Contents (recurse subdirectories) - Select this option to display security information for all selected objects, plus all subdirectories, and well as all subdirectories and all files in all directories.

Show Object Owner - If selected, this option adds the object owner to the security information displayed.

Show Object Owners Only - If selected, this option will ONLY show the object owner. This option will significantly improve performance when only the object owner (or object size) is needed.

View Directories Only - If selected, this option will skip files, and only present the security information on directories.

Only Show Security Information for this User/Group - If only a particular user or group is needed, enter the name of the entire Domain name\User or Domain name\Group Name to view security information on. Only security for the user/group provided will be displayed. This option will limit the amount of information presented, but will not improve performance time.

The View NTFS Security option can be used on multiple shares and directories that are selected at the same time from Hyena's list view window.

Creating New Directories

The Create Directory or New command (depending upon the object selected) can be used to create a new directory at the root of a share or under any directory.

Copy/Move

The Copy and Move options provide for an alternate method of copying and moving files by simply entering the location to copy/move the files to. Hyena actually uses Explorer to copy/move the files once the Copy/Move dialog is completed.

Rename

Hyena supports renaming of files and directories directly within the tree and list windows, through the Rename option.

Creating New Shares (Share As)

New shares can be easily creating by selecting the Share As option for any selected directory. Hyena will automatically default the share name and path for shares created this way.

Edit

The Edit option, available only for files, will immediately open the selected file into Hyena's configured text editor. See the Tools->Settings->General topic on how to configure the default text editor.

Open By

Hyena's Open By option, available only for files, will display the users that currently have the selected file open.


DFS

The [image] Dfs object provides access to viewing a list of Dfs shares on a server, as well as adding and removing existing junction points.

Hyena also supports the Explore option for Dfs shares, providing access to the Explorer shell menu for file and directory operations on Dfs share points.

Important Note: Hyena’s Dfs integration features are only available in the Enterprise Edition of Hyena. Hyena’s Standard Edition will allow Dfs information to be viewed or modified only for the first 30 days after installation. This allows the functionality of these features to be fully evaluated before any additional licenses for it are purchased. For more information on the licensing of the Enterprise Edition, see the Licensing topic.


Sessions

Hyena's Sessions display shows network users connected to the computer. The sessions are displayed in Hyena's list window only. Supported operations on sessions include:

Disconnecting Sessions - One or more sessions can be disconnected at the same time by using the Disconnect Session(s) option.

Sending Messages - Hyena can send messages to either the computer or user that the session is associated with.

Shell Functions - The shell functions (Windows Explorer) for the computer that is associated with the session can be accessed from the sessions view.

The Sessions option can also be selected when more than one computer is selected from the list window, enabling sessions to be displayed for more than one computer at the same time.


Open Files

Hyena can display all of the open files on a given server in the list window using the [image] Open Files object. With the sorting capability of the list window, sorting by username or file path can be used to quickly isolate a locked resource. Hyena's open files display includes the capability to disconnect a user from an open file, or to send the indicated user a message.

Hyena can also display the current users of a single file, by selecting the Open By option from the More Functions menu for any file. See the File and Directory Administration topic for more information on this functionality.


Service Control

Managing Services and Devices

Hyena has extensive support for management of services and devices.

Since services and devices are closely related entities in Windows NT and Windows 2000, many of the administrative tasks discussed in this topic apply to both. The term "services" will be used in describing these functions.

Viewing

Double clicking on the [image] Services or [image] Devices object will display the services/devices in Hyena's list window. Optionally, the Services/Devices object's context menu can also be used to display only running or only inactive services.

Hyena displays running services with a green icon, and stopped services with a red icon. A yellow icon next to a service or device indicates that the service is not running, but is configured for auto-startup.

The Services view can be customized under the Tools->Settings->Display dialog.

Controlling Services (Start, Stop, Restart, Pause, Continue)

Individual services can be controlled through Hyena's list window, with the Start, Stop, Restart, Pause, or Continue commands. Multiple services can also be controlled at the same time.

The Restart option is a shortcut for stopping, and then starting the service.

One of Hyena's more powerful functions is the ability to control a service on more than one computer at the same time. To do this, first display the Computers for a given domain or Quick Access group in Hyena's list view window. Select the computers whose service you wish to control, and select Service Control from the More Functions menu.

The following information can be entered in the Service Control dialog:

Service/Device Driver Name - Enter the name of the service to control. The name entered must be exactly as it appears in the Services list for the selected workstations. Use the service name, NOT the display name of the service, which can be different.

Log Activity Filename (optional) - Enter the path and filename for an optional log file to be generated. The information logged includes workstation name, service name, and success/failure status. The Settings button will display logging options, such as whether to log successes and/or failures, and also whether to skip offline workstations. Settings are automatically restored from their previous states.

Operation - Select either the Start or Stop operation for the service.

After clicking OK, the selected service will either be started or stopped on all computers selected. If an error occurs, the affected workstation name will be displayed. Note that this operation can take several seconds for each workstation selected and possibly longer depending upon the speed of the network. It is recommended that a refresh (F5) be done prior to starting this operation to ensure that an up-to-date computer list is available.

Note: If the service is already stopped or started, an error will NOT be displayed.

Changing Startup Options

The startup options for individual services is controlled through the Properties option.

Hyena can also be used to change startup options for a service running on multiple computers at the same time. To do this, first display the Computers for a given domain in Hyena's list view window. Select the computers whose service you wish to control, and select Service Startup from the More Functions menu.

When modifying startup options for multiple computers, the Service Startup dialog is used in a similar way to the Service Control dialog described above. Additionally:

The service configuration will be set to be exactly what is entered for all the selected computers. As a result, all of the service startup information must be entered, including the local/domain user account, password, and startup options.

If a user account other than "LocalSystem" is used to startup the service, the account will automatically be granted the "Logon as a Service" right.

Viewing Dependencies

Some services depend on other services, which are called dependencies. The dependencies can be viewed in the Dependencies column when viewing services in the right list window. For a better view of the dependencies, select the View Dependencies option.

Deleting Services

Some services support remote deletion. This is implemented by the service, not by Hyena. Select the Delete option from the context menu for a service to remove the service. If the service does not support removal in this way, the Delete option will be disabled.


events

Viewing Events

In addition to integration with the Windows NT native Event Viewer utility, Hyena also incorporates its own event viewing mechanism. The event log for a server or workstation can be accessed several different ways:

By double-clicking or right clicking on the [image] Events object under any computer displayed in the left tree window.

By expanding the Events object (clicking on the 'plus' sign next to Events) and selecting the event log to view.

By selecting one or more computers in the right list window, right clicking, and then selecting the View Events option.

By selecting a computer in the left tree window, right clicking, and then selecting the View Events option.

Selecting the Event Viewer option from Hyena's popup context menu will run the native Windows NT event viewer (Eventvwr.exe) for the selected computer. Selecting the View Events option or double-clicking on the [image] Events object will display Hyena's event viewer dialog. The remainder of this help section describes the options available when using Hyena's integrated event viewing options.

To view the details of a specific event, simply double-click an event. The event properties window will display all of the event details, and allow going to the previous/next event.

Event Viewing Options

Event Log – Select the event log to view. Hyena's event viewer supports all of Windows NT and Windows 2000's event logs.

Event Order – Select whether to view the oldest or newest events first, that is, either in forward or reverse chronological order.

Date Range - Select the beginning and ending dates (or all event dates)

Note: When any of the filtering options are enabled, Hyena will retrieve ALL of the events from the selected computer(s) and evaluate them against the filter criteria. This will result in some additional event processing time. When no filter criteria has been entered, Hyena will only retrieve a small block of events to improve performance. However, if any of the display columns are sorted on, the remaining events will be retrieved automatically in order to perform the sort operation.

Filtering Options

Leave the filter fields blank to retrieve all events. When events are filtered, the title bar of the list window will contain the word "(filtered)".

Event ID(s) – Enter the event ID(s) to filter on. If multiple event Ids are needed, separate them with commas (“,”).

Source – Enter the source name for the event.

User/Group Name – Enter the user or group name. The entered user or group must match what would normally be displayed in the event view window, including the preceding domain name, for example, “Domain Name\Administrator”.

Description – Enter the characters to search in the description field. If this option is disabled, see the information below concerning “Event Description Handling”.

Event Types – Enter the event type(s) to filter for, if desired. Select ALL of the event types to disable event type filtering.

Event Description Handling

Due to how the event reporting mechanism is implemented in Windows, a lot of intensive processing is required to actually create the event description field. By default, Hyena will not display the event description until the event’s properties are viewed (by double clicking on the event). However, Hyena can be configured to display the event description for all events in the list window, by adding the Description column to the list of display fields. This is done by selecting Tools->Settings->Display on the menu, and adding the Description field to the list of event fields to display. This will also enable the option to filter by event description. However, when the description field is enabled for the list window, note that there can be a significant reduction in performance when viewing the events. Use individual preference for performance vs. the advantage of seeing all of the event information at one time, when determining whether to enable this option.

Viewing Events on Multiple Computers

Events can be viewed and filtered for multiple computers at the same time. To do this, first display the computers in the list window. Then, select the desired computers, right click, and select Events from the context menu. Options for filtering, etc are identical to those available when viewing the events for a single computer.

Sorting and Viewing Event Information

Event information is displayed in Hyena's list window. Events can be sorted by simply clicking on any column header. To view the event detail information, including the description, simply double click on the event. The event view can be customized under the Tools->Settings->Display dialog.


Disk Space

One of Hyena's most popular and powerful features is its ability to quickly view available and used disk space on all disk drives for one or more computers at the same time.

To view the disk space for a single computer, simply double click on the [image] Disk Space object.

To view disk space on more than one computer at the same time, first display the computers in the list window, select as many as desired, and use the Disk Space menu option.

The context menu for disk space entries supports viewing the computer's Shell functions (Windows Explorer) menu. This menu provides access to exploring the selected computer, and file and directory management functions.

By default, Hyena uses the administrative shares on a computer to get access to the disk space information. Hyena can be customized to use another share instead. This would need to be done if the administrative shares were disabled, or if a non-administrative account were used to view the disk space. To change the share used to collection disk space information, modify the Remote Share Mask under the Tools->Settings->General dialog.

The disk space view can be customized under the Tools->Settings->Display dialog.


Processes

Double clicking on the [image] Process object for any computer will display the active running processes for the computer in Hyena's list window.

This is a snapshot of the computer's process list, and therefore is not meant as a substitute for using Performance Monitor, or a realtime monitoring utility. But the process list can be used to view current applications and services, as well as the memory, time of execution, and other process statistics.

Windows NT and Windows 2000 do not have any support for terminating a remote process. The Resource Kit has a tool to do this, but it requires installing an agent on the remote computer to actually carry out the task.

A better solution is to download a copy of pskill from http://www.sysinternals.com/pskill.htm that can be used to terminate remote processes. pskill does NOT require any remote agent to be installed first, although what it does is essentially install itself remotely, stops the requested process, then deletes itself all in a few seconds. pskill is free.

pskill can integrated into Hyena with a custom tool command of:

pskill.exe %C1% %C3%

This assumes that you have configured the process display to show the server name in column #1 and process ID in column #3. For more information on configuring custom tools, see the Tools->Settings->Tools topic.

Hyena supports several new process counters introduced in Windows 2000. The Process view can be customized under the Tools->Settings->Display dialog.


Scheduling

Scheduling Jobs

Hyena's remote job scheduling functions can utilize either the older AT scheduling system built into Windows NT, or the newer Task Scheduler that is part of IE 5.0 and Windows 2000.

Both scheduling systems utilize the Scheduler service that is installed by default on both Windows NT/2000 server and workstations. However, by default, the Scheduler service is not automatically started. Before scheduling a remote job, the Scheduler service must be started, otherwise an error will occur when an attempt is made to schedule a job. The Scheduler service can be started by using either the Windows NT/2000 native tools, or by using Hyena's service functions. If a large number of workstations require a scheduled job, use the Service Control functions to configure and start the Scheduler service for multiple computers at the same time.

One powerful use of the scheduling function is to schedule jobs to run privileged tasks under a different user account. Normally, Windows does not allow a user to perform system-sensitive operations, such as making configuration changes, or loading service packs. Instead, an administrator must perform these tasks. Hyena can be used to configure the Scheduler service for multiple computers at the same time, and perform many of these administrative tasks automatically.

Adding New Jobs

To add a new job to a single computer, select either the Add New Job (AT) or Add New Job (Task) menu option from the [image] Job Object for a computer from the left tree window.

To schedule jobs on more or more computers at the same time, first display the computers in the right list window, and select the desired computers. Right click, and select either Add Remote Job (AT) or Add Remote Job (Task) from the More Functions popup menu.

The following information can be entered in the Add Remote Job dialog, depending upon whether the AT or Task interface was selected.

AT Job Dialog Options

Command Line - Enter the command line for the scheduled job to execute.

Enable Job to Interact with Desktop - Enable this option to allow the job to display a window that the user can interact with. If the job is to execute in the background, leave this option disabled.

Job Time - Enter the time for the job to be scheduled. To execute the job immediately, select the "Now" option for the Run Job (see below) setting.

Note: Always test on a non-production workstation before scheduling a job for the first time. This is especially important for workstations in different time zones.

Run Job - Select one of the four options for running the job:

Now - This option will execute the job immediately (actually after about one minute) on the selected computers. The job time cannot be entered for these types of jobs.

Today - This option will setup the job to run only once for the indicated job time. If the job time has already passed, the job will execute tomorrow.

Every - This option sets up a periodic job to run on every occurrence of the selected days of the week and/or days of the month.

Next - This option will run the job on the next occurrence of the selected days of the week or days of the month. The job will automatically delete itself once the last job has been run.

Weekday Schedule / Days of Month - Select the days of the week and/or the days of the month to execute the job.

Batch Job Settings (only available when scheduling jobs on multiple computers)

Log Activity FileName (optional) - Enter the path and name of a log file to write to for each workstation that a job is scheduled for. The information logged consists of the workstation name, command scheduled, and success/fail status. Click on the Settings button to configure specific options related to logging and processing.

Number of Seconds to Add to each Job - If a job on multiple computers is being scheduled, it may be desirable to separate the jobs by a few seconds or minutes in order to better load-balance a particular resource. Enter the number of seconds to add to each job. If left zero, all scheduled jobs will execute at roughly the same time.

When scheduling jobs on more than one computer, this operation can take several seconds for each workstation selected and possibly longer depending upon the speed of the network. It is recommended that a refresh (F5) be done prior to starting this operation to ensure that an up-to-date computer list is available.

Task Job Dialog Options

When adding a single task to a computer using the Task Scheduler options, Hyena will first prompt for a unique name for the remote task. Once the initial task is created, Hyena will then display the task properties dialog, permitting the task to be customized and scheduled.

When adding a task to multiple computers, Hyena requires that the task be copied (or cloned) from an existing computer. When the Add Remote Job (Task) is selected from the More Functions popup menu, use the following procedure to copy a remote task to multiple destination computers.

1. First, select the computers in Hyena's right list window that you want to copy a task TO.

2. Next, right click and select Add Remote Job (Task)...

3. On the Copy Scheduled Task(s) dialog, first enter the name of the reference (source) computer that will be used to copy the task FROM, then click the Show Tasks button.

4. Select one or more tasks from the task list, and optionally complete the Run As and log settings options.

Hyena will then copy the selected task(s) from the source computer to the selected destination computer's task folder. Note that all of the computers selected must already support the IE 5.0 task scheduler.

Modifying / Viewing Job Properties

To view the currently scheduled jobs on a single computer, simply double click on the [image] Job Object for a computer from the left tree window. To view the scheduled jobs for one or more computers, first display the computers in the list window, and select the desired computers. Right click, and select View Scheduled Jobs.

To modify or view a single job's properties, simply double click on any job displayed in Hyena's list window.

Deleting Jobs

To delete one or more jobs, first display the jobs in Hyena's list window. Select the job(s) to delete, and use the delete key, Delete toolbar button, or the Delete Job context menu option.


User Rights

User Rights can be managed in Hyena in either the tree or list view windows.

When the [image] User Rights object is expanded, Hyena will display

the user rights in the tree window. Individual user rights can then be further expanded to review the users and groups that are granted the right.

In the example to the left, the SeNetworkLogonRight has been expanded to reveal the holders of this right.

Double clicking on the User Rights object will display the user rights, and all holders of those rights in Hyena's list window. This permits quickly checking which users or groups are granted individual rights across an entire domain or computer. If a right is currently not assigned to anyone, the phrase "(none)" will be displayed next to the right.

Rights can be modified by using the Manage User Rights or Modify Rights menu option. This will display Hyena's User Rights Properties dialog, permitting additions and removals of users and groups from individual rights.

Hyena also supports the advanced users rights that were introduced with Windows 2000. The User Rights view can be customized under the Tools->Settings->Display dialog.


Enterprise

Hyena's Enterprise object, located at the bottom of the tree window, is designed to offer a completely enterprise-wide view of the network, through several different objects, as detailed below.

All Computers

The purpose of the All Computers object is to allow displaying, and optionally filtering, all of the computers in every domain that has been added into Hyena's tree window. Double clicking on the All Computers object will display Hyena's View Computers dialog, which provides for domain-wide displaying of all computers that meet certain attributes, such as only domain controllers, print servers, terminal servers, etc.

Networks

Hyena provides access to the Windows Networking layer through the Networks object. When this object is first expanded, the various networking types, for example Netware and Microsoft Windows Network, are displayed. As each of these layers is expanded, the workgroups and domains in each network are presented, which can be further expanded to reveal individual computers. Computers, in turn, can be expanded to reveal either resources (shares and printers), or for Windows NT and Windows 2000 computers, the standard computer objects that Hyena supports.

Note: Minimal support for browsing Netware volumes and Windows 95/98/Me file shares is available under the Networks object's tree structure.

Find User/Group

The Find User/Group function is used to display the Windows "Find" dialog for users and groups. After selecting the user or group, the Properties dialog for the selected object will be displayed.


Remote Control Integration

The SystemTools Remote Control Manager (STRCM) provides for a way to manage some remote control software products from within Hyena. The STRCM supports installation, configuration, viewing, and uninstallation of remote control software, including VNC-based products.

The STRCM stores different remote control configurations in .rcm files. For each .rcm file, Hyena will add a new entry to the Remote Control menu on all computer context menus. Selecting one of these sub-menus will activate the STRCM utility which will then carry out the options as configured in the .rcm file. The individual .rcm files can be viewed and modified from the Tools->Settings->Remote Control dialog.

Please note that the STRCM does NOT provide any direct remote control functionality itself, but rather facilitates the use of some remote control products. The STRCM was specifically designed to work with VNC, which is a popular (and free) cross-platform remote control software product. However, due to the flexible design of the STRCM, most remote control software products can be accessed through it. The STRCM is FREE and can be used independently from Hyena. Full source code is also available, under GNU licensing provisions.

Installation of the STRCM is an option during Hyena's installation. The STRCM also is available as a separate standalone utility from http://www.systemtools.com/strcm/strcm_frame.htm. The STRCM files consist of the strcm.exe, strcm.htm (documentation), and a sample vnc.rcm configuration file. If installed as part of Hyena's installation, these files will be found in Hyena's installation directory.

For complete documentation about the STRCM, review the strcm.htm file after installation, or click on the STRCM documentation shortcut under Hyena's program group.


Exporting Objects

Exporting Information

Exporting Objects

Exporting functions are separate from Hyena and are part of a standalone product named "Exporter" (Exporter.EXE). To access the export functions, click on the [image] Export toolbar icon, or select File->Export from the menu. The export configuration dialog allows setting all of the options for the Exporter utility. The selected export options are saved into a file named Export.INI, which is in turn used to configure the Exporter program. For more information on the Export.INI file, and how to execute the Exporter program from outside Hyena, see the online Exporter help documentation (Exporter.HLP).

Using the Clipboard and Copying to a Text File

Any information selected and displayed in the list window can also be copied to the clipboard or to a text file. To copy to the clipboard or a text file, select the Edit->Copy menu option, or select the [image] Copy toolbar button.


Copying Objects

Hyena supports copying of printers, shares, users, and both local and global groups. This section explains the features and limitations in copying these types of objects.

The menu options for accessing the printer, share, user, and group copy options can be found by right clicking on these objects in either the left or right windows. When accessed through the list window, multiple items can be selected at the same time.

The original objects that are copied are not affected or modified by the copy operation. Also, note that in some case, such as with users and local groups, the newly copied user/group will have a different SID than the original user/group. Exercise caution when removing the original user/group if it has been specified in file or other security mechanisms.

It is also highly recommended that careful verification of the copied objects be performed when using these functions for the first time to ensure that all security information has been successfully copied. This is especially important if the original objects used in the copy operation are to be deleted.

Copying Users

When users are copied, all user information, including group memberships, (if selected), will be copied to the target server. If the groups do not already exist on the target server, the users should be copied without copying the group memberships, otherwise the copy operation will fail. Then, the groups can be copied in a separate operation.

Note: Copied users will have a different SID than the original user. All file or share security must be re-established in order to change the access control lists (ACLs) that reference the original user’s SID.

Copying Groups

Groups can be copied with or without the group membership information.

If the option to Copy Group Members by SID is enabled, then the local group members will be copied without any attempt to resolve the user/group name. This will result in the new group being identical to the original group.

When local groups are copied without using the Copy Group Members by SID option, the domain reference (if any) will be REMOVED from the member and thereby implicitly replaced with the domain of the target server. It is therefore only possible to copy local groups to a target server in the same domain membership, or for use in creating a new group on a new server using entirely new users.

Note that if group members are copied, then members (users or groups) must already exist on the target server. The option to "Copy group members even if group already exists", will force the group members to be set identically on both servers, even if the group already exists on the target server.

Copying Group Members

The Copy Group Members function copies the current members of a selected local or global group to another group as specified. This function essentially “merges” two groups together, leaving the original group unaffected.

Copying Shares

Copied shares include all share information, optionally including the security on the share and/or the directory being shared. Note: copying shares does not involve copying of the files and directories in the share. To do this, use the SCOPY.EXE utility on the Windows NT Resource Kit.

Windows forces all newly created shared directories to already exist. Therefore, when a share is copied, the directory will be created if it does not already exist. Hyena will create only the LAST directory in the directory tree. For example, if the share being copied is in the directory E:\APPS\MSOFFICE, Hyena will create the MSOFFICE directory, but will not create the APPS directory.

If the target server has a different disk drive configuration, a different drive letter can be used to replace the original share’s drive letters. Using the previous example, if the share being copied is on E:\APPS\MSOFFICE, and the target server does not have an “E” drive, but does have an “F” drive, then “F” can be put into the drive letter replacement field on the copy share dialog. It is important to ensure that all shares being copied using this option in one operation will be on the same drive on the target server.

If the target server is to have a different directory structure than the original shared directory, you can specify a different base path for the share. For example, if the original’s shares path is E:\Data\JDoe, specifying a new base path of FileData\UserShares will result in the new share being given a directory of E:\FileData\UserShares\Jdoe.

Finally, the share and NTFS file permissions can be copied as well and applied to the new share and/or directory. However, Hyena will only apply the NTFS directory permissions if the directory needs to be created. The ACL information copied is applied directly without any re-interpretation of the user or group information. It is therefore assumed that the target server has either the same domain membership or group and user configuration as the source server.

Copying Printers

Printer information that is copied to a specified target server includes all of the printer information, except for the print driver and printer ports. It also does not include driver settings (such as page orientation, memory, etc.) since this is part of the driver. Windows does not support remote port creation easily, and the driver functions are both complex and do not support UNC paths, making them difficult to support remotely. In order for the printer to be successfully copied, the port must already exist with the same name as the source computer’s ports, or you can copy the printers without copying the port information. If this is done (by not selecting the “use existing assigned printer ports” option), then all printers copied will be assigned to LPT1:.

Note: If the printers being copied all use the same driver (i.e. the printers are the same model), then only one printer needs to be setup manually on the target computer to copy the required driver files. The remaining printers will use the same driver files and can then be copied from one server to another.


Macros

Hyena’s macro capability provides for the ability to quickly generate a text file of repetitive commands. For example, the macro feature can be used to quickly create a batch file to carry out a sequence of commands.

The Macro functions can be accessed either through the [image] Macro toolbar button or the Tools->Generate Macro menu option. Only the information in Hyena’s list window can be used to generate a macro.

The only two elements needed to create a macro are the name of the output file to generate, and the macro command string. A separate line of text will be written to the output file for each selected entry in the list window. Hyena will not run or execute the resulting output file. Note that you can enter multiple lines in the macro command.

The macro command string can consist of any combination of characters and special symbols that Hyena can replace with actual data as each line is written to the output file. These symbols are the same symbols that can also be used in Hyena’s custom tool commands. See the User Defined Tools section for a list of all of the symbols that can be placed into custom command strings and macro commands.

To generate a list of commands, for example, to ping all of the selected computers in the list window, use the following macro command string:

Ping %C1%

The above command example, would substitute the information in column #1 for the %C1% symbol.

As another example, the following command can be used to copy a specified file to each of the selected computer's winnt\system32 directories:

Copy %P1% \\%C1%\c$\winnt\system32

Use the Save As and Recall options to save or recall the macro settings and command from a file. When the Save As option is used, Hyena stores each macro in a separate .hym file.


Find and Filter

Filtering Data

Find/Filter Feature

Items displayed in Hyena's list window can be searched and filtered based on a variety of criteria. Selecting the [image] Find button on the toolbar, or the Edit->Find / Filter menu option will display Hyena's Find/Filter dialog, which has the following options:

Search String - Enter in the full or partial search string to search. Hyena will save the last searches used. A leading or trailing wildcard '*' can be used in the search string.

Column to Search - Select the specific column to search, or select All Columns

Filter out records that DO NOT match the search string - Select this option to filter out (remove) any entries from the screen that do not match the search string.

Filter out records that DO match the search string - If it is desirable to filter out (remove) entries from the search that match the search string, select this option. Only items that do not match the search string will remain in the list window.

If either of the "filter out" options are selected, Hyena will remove the applicable entries from the display. Hyena will NOT delete the objects; they will only be removed from the display.

Match whole word only - Performs a full word match.

Match Case - Select this option to perform a case-sensitive search.

To refresh the list view window, and reapply the filter at the same time, use the [image] Refresh Filter toolbar button.

List Window Filtering

To filter data directly in Hyena's list window, use the [image] toolbar button, which displays a filter cell in each of Hyena's right window columns as shown:

Enter any combination of characters in one or more filter cells, then click on the small filter button in any filter cell to initiate the filter action. Filtering Tips:

  • Filtering is case-insensitive

  • Multiple filters can be entered at the same time

  • Leading and trailing wildcards (*) are supported

  • Click on the toolbar filter button [image] a second time to display the original recordset


Toolbar Functions

Hyena's toolbar provides quick access to many functions. The toolbar can be moved and docked to other portions of the Hyena's workspace if needed. It can also be turned off under the View->Toolbar menu option.

Object Manager - The Object Manager is Hyena's central control mechanism for controlling the way that domains, computers, and other objects are displayed in the left tree window.

Export - Displays Hyena's Export dialog.

Print - Displays the print dialog, which supports printing all or a selected range of objects displayed in the right list window. Only items displayed in the list window can be printed.

Delete - Deletes the selected object(s). Identical to pressing the Delete button on the keyboard, or selecting the applicable delete option on a popup context menu.

Insert - Displays the appropriate dialog to insert (add) a new object. Also the same as pressing the Insert button on the keyboard, or selecting the applicable "create new" option on a popup context menu.

Properties - Displays the appropriate dialog for viewing or modifying the properties of the object. Also the same as the "Properties" option on a popup context menu.

Icon View - Changes the view in the list window to icon view. This view mode allows more objects to be displayed at the same time.

Report View - Changes the view in the list window to report view. This view allows for column headings and information that is more detailed to display.

Stop Query - Aborts / stops the active running query when performing lengthy operations. It may take 10-15 seconds for the query to completely stop.

Refresh - Refreshes the current list window display.

Filter - Displays the filtering cells for in-place filtering of Hyena's right list window.

Find / Filter - Displays the Find and Filter dialog, allowing searching for items in the list window and optionally filtering out records that do not match.

Refresh Find / Filter - Refreshes the current list window display with the filter enabled.

Copy - Displays the Copy To dialog, which supports copying selected objects in the list window either to a file or to the clipboard.

Macro - Display Hyena's dialog for easy generation of macro or batch files from information displayed in Hyena's list window.

Erase - Erases (clears) the contents of the list window.

Show Hidden Shares - Toggles between displaying hidden shares on servers or suppressing the display of hidden shares. This option can also be changed on the Tools->Settings->View dialog.

Show Administrative Shares – Toggles between showing administrative (C$,D$, etc.) shares only and showing all shares.

Select User Sort - Toggles between sorting users by full name or username in the right list window.

Tools - Displays the Options and Settings dialog.

Help - Displays the online help system.


Terminal Server Features

Important Note: Hyena’s Terminal Server integration features are only available in the Enterprise Edition of Hyena. Hyena’s Standard Edition will allow terminal server user settings to be viewed or modified only for the first 30 days after installation. This allows the functionality of the Terminal Server features to be fully evaluated before any additional licenses for it are purchased. For more information on the licensing of the Enterprise Edition, see the Licensing and How to Order section.

Hyena's Terminal Server features must be configured prior to usage. See the Terminal Server Settings section for specific configuration information.

The terminal server options for a user are accessed through the User Properties dialog by going to the "Terminal" tab, as show in the image below.

The terminal dialog provides for full access to profile, home directory, and session settings. Hyena's Home Directory Management features are available for terminal server home directories.

Active Directory Integration

Windows 2000 Users Only: Terminal Server (TSE) user settings are not stored in individual attributes in Active Directory, but instead are stored in one attribute that does not permit direct viewing of its contents. Hyena allows the user TSE fields, however, to be included into Hyena's Active Directory queries.

To include one or more TSE fields into an Active Directory query, access the File->Manage Object View->Queries dialog, and either create a new Users query or modify an existing query that displays user-related information. To add the TSE attributes, select Terminal Server Attributes from the Attribute Category dropdown.

TSE information is extremely slow to retrieve, therefore it is recommended that a special query be created to display only the minimal information required. Do NOT add TSE fields to a default query for any view or Hyena's overall performance will be affected.


Exchange Features

Important Note: Hyena’s Microsoft Exchange integration features are only available in the Enterprise Edition of Hyena. Hyena’s Standard Edition will allow Exchange information to be viewed or modified only for the first 30 days after installation. This allows the functionality of the Exchange features to be fully evaluated before any additional licenses for it are purchased. For more information on the licensing of the Enterprise Edition, see the Licensing topic.

Hyena Exchange 5.5 and Exchange 2000 integration options can be configured under Tools->Settings->Exchange 5.5 and Tools->Settings->Exchange 2000. See the Exchange Configuration topic for more information.

Creating Exchange mailboxes

A mailbox can be created in Hyena at any time by selecting the Exchange Functions->Create Mailbox... option from any user context menu.

Exchange 2000 mailboxes can be created when adding a new user, by using the "Active Directory creation wizard" to create the user. The wizard will automatically prompt for Exchange mailbox creation information.

If the option to automatically create a mailbox is enabled, Hyena will prompt for the mailbox information automatically when a new user is created.

Deleting Exchange mailboxes

If the option to delete Exchange mailboxes is enabled, Exchange mailboxes will be deleted when a user is deleted. Note that confirmation will be required.

A mailbox can also be directly deleted by selecting Delete Mailbox from the Exchange Functions menu for any user object.

Exchange mailbox Properties

The properties dialog for any Exchange mailbox can be accessed by selecting the Mailbox Properties... option from the Exchange Functions menu for any user. The Exchange Properties button, found on the General User Properties dialog for any user, can also be used to display Exchange information.

Displaying Exchange 2000 Attributes in User Directory Queries

To add any Exchange 2000 directory attribute to Hyena's displays:

  • Select File->Manage Object View->Queries

  • Select the type of object, typically "All Users"

  • Select an existing query, or click New... to create a new query

  • Change the Attribute Category to "Exchange 2000 Attributes"

  • Select the appropriate attributes from the lower right window and add them to the query.


Performance Options

Performance Options and WAN Considerations

Hyena contains a number of settings and options that can increase performance. The amount of performance increase depends upon the network configuration and how many objects are being retrieved or affected by a given operation. In particular, many of these options can have a big impact in performance and functionality when Hyena is used in a WAN environment.

Tools->Settings->General

Disk Space and Print Job Refresh Options – These settings relating to disk space and print job refreshing can be turned off to help performance when viewing this type of information.

Automatically expand current domain on startup – Not selecting this option will cause Hyena to startup much faster, as the current domain will remain unopened and no object retrieval will have to be performed.

Tools->Settings->View

Check if Shares contain Subdirectories in Tree View - Not selecting this option can dramatically increase the performance when expanding the shares object for a server, depending upon how many shares exist.

Cache Domain Controller Information - By default, Hyena does not cache (retain) any information from one operation to the next. On some networks, especially when doing remote operations on some WANs, this can cause some delays, especially when Hyena needs to determine the name of a domain controller. Hyena supports caching of the name of the domain controller that is used for update operations. Use of this feature will both improve performance and reduce some network traffic.

Note: Cached information is discarded when Hyena is restarted, or when Object Manager configuration changes are made. Also, if the name of any domain controllers are changed, migrated, or a PDC/BDC role is changed while Hyena is being used, the cached information must be cleared by either restarting Hyena or making any change in Object Manager.

Tools->Settings->User

Suppress Automatic Display of all Users and Groups – Selecting this option will prevent Hyena from retrieving the user and group information for the user groups dialog and group properties dialog. If this information is needed, it can be acquired by clicking on the appropriate button on these dialogs.

Show RAS (dialup) information – Turning this option off can significantly speed up retrieval of user properties, especially when multiple users are retrieved. However, you will not be able to modify user dialup information when this option is not selected. Hyena must be restarted if this option is changed.

Tools->Settings->Focus

Turn all of these options OFF for best performance.

Tools->Settings->Display

Turn OFF the option to display (ie, remove from the display) the Event Description information for the Events display. You can still see the event description if you double click on an event.

For process information, the fewer columns displayed, the faster the process retrieval will be.

Turning off the option to display some user detail information, such as SID and RAS information, can significantly improve performance of the retrieval of the "View All User Details" function (Windows domains only)

Other Performance Options and Techniques

Viewing Single Objects – Hyena contains options to view only a single user, group, share, or computer in the left tree window. Using these options prevents the retrieval of the entire object list, which can take a significant amount of time. To view a single object, right click on the heading for the object group, such as the Computers object, then select the “View…” option as appropriate. For example, to view a single user named “JDoe”, right click on the Domain Users object for the domain, and select View User…, and enter in the name “JDoe”.

This feature can also be used on Active Directory objects.

Setting the Source domain controller for Windows NT domains – Hyena by default will retrieve and update all information only on the PDC for a given domain. However, a BDC can be designated for the retrieval of user and group information by using the Object Manager, and specifying the name of a BDC to be the Source Controller for a Windows domain. Hyena will still use the PDC for retrieval of individual user or group properties and for all updating, but will use the designated BDC (source controller) for all mass user and group retrieval operations.

To reset the source controller back to the PDC, simply remove the BDC name from the Source Controller field in Object Manager.

Specifying the name of the PDC for Windows NT domains - In some installations, a lack of WINS and/or name resolution can cause Hyena and other management utilities to be unable to find the name of the primary domain controller (PDC) for a Windows NT domain. This can be both frustrating and difficult to solve. Hyena supports manually entering the name of the PDC for Windows NT domains. This also increases performance on some operations, as Hyena will already know the name of the PDC to use. To specify the name of the PDC for a Windows NT domain, select the domain in Object Manager, and enter a DNS name, NetBios name, or tcp/ip address of the PDC for the PDC Name. Remember to click the Update button.

Windows 2000 Only - Manually entering the group name when adding users to a group - Due to the design of Active Directory, when modifying a user's group memberships, the display of the "object picker" dialog is usually required. To speed up adding a user to a group, the user properties Member dialog can accept manual entry of either the distinguished name or container name of a group, bypassing the need to display the standard Windows Object Picker dialog.

Windows 2000 Only - Adding only necessary attributes to directory queries - Due to the design of Active Directory, and Hyena's support for flexible directory queries, Hyena will only retrieve the directory elements specified for any particular view. Hyena's List and Tabular views utilize user-defined queries to control the attributes displayed. By carefully choosing only the needed attributes (fields) for a typical display, network traffic can be optimized. For example, double-clicking or expanding the "All Users" object can be configured to run a default query that only retrieves a few user directory attributes. If a more detailed view is desired, a different query can be executed to retrieve a larger set of attributes. See the Object Manager - Queries topic for more information on how to modify Hyena's directory queries.

Windows 2000 Only - Specifying a dedicated domain controller for Windows 2000 Active Directory operations - Use the ADSI Server option in Object Manager for a given Windows 2000 domain to force Hyena to use the designated server for all Active Directory retrieval and updates. To use this feature, select the domain in Object Manager, and enter a DNS name, NetBios name, or tcp/ip address of a local domain controller for the ADSI Server. Remember to click the Update button.

When a directory operation is requested for a Windows 2000 domain that has been assigned to a specific server, Hyena will not need to query the directory for a server, thereby saving time. Plus, if Service Pack 1 or later is installed on the CLIENT computer using Hyena, a performance increase should be noted when performing most operations. Please note that if the server being used is not online or available, Hyena will be unable to manage the domain until the ADSI Server is either changed or removed.

Authenticating to Remote Computers - If a different security context is needed to access a computer, right click on the computer, and select the Logon As... option. Enter the name of a domain or server and a valid username/password. Hyena will then establish a connection to the computer using an alternate security context.

Object Manager – The Object Manager is Hyena's central control mechanism for controlling the way that domains, computers, and other objects are displayed in the left tree window. Adding individual computers to an Object Manager group can speed the time required to find and select one or more computers.


Repetitive Actions

Repetitive Tasks and Multiple Operations

Hyena contains a number of functions that can perform repetitive operations. The listing below explains where to find and access these functions. Note that all of these functions must be performed by selecting information in Hyena’s right list window, since this is the only window from which multiple items can be selected at the same time. In some cases, the feature listed below will be found on the More Functions sub-menu.

Service Control Functions – Hyena supports both modification of the service startup information on multiple computers, as well as starting/stopping a service on multiple computers at the same time.

Event Viewing – Hyena allows viewing all events or a particular series of events from multiple computers at the same time.

Viewing Drive Space – To view the drive space information for multiple computers, first display the computers in the right list window, select the computers whose disk space you want to display, right click, and select the Drive Space option.

Viewing / Disconnecting Sessions – Sessions can be viewed and disconnected on multiple computers at the same time by selecting the computers in the right list window, right clicking, and selecting the View Sessions option.

Shutting down computers – Hyena can initiate system shutdowns on multiple computers at the same time. Display the computers for a domain in the right list window, select the computers to shutdown/reboot, right click, and select the Shutdown… menu option.

Viewing computers from multiple domains – To view the computers from multiple domains in the right list window, first add the domains to Hyena’s list through the File->Add Domain option. Then, expand the Enterprise object located towards the bottom of the left tree window, and double-click on All Computers. Select the appropriate type(s) and Hyena will then display all of the computers matching the query in the right list window.

Multiple-user modification – Properties for multiple users can be modified at the same time.

Adding global group / user to specified local group – Hyena supports adding a designated global group or user to a specific local group on multiple computers at the same time. To access this function, select the computers in the right list window, and select More Functions->Add Member to Local Group.

Setting password on account on multiple computers – To set the password on a designated account on multiple computers, select the computers in the right list window, and select More Functions->Set Account Password.

Logged On Users - Hyena can view the current interactively logged on user for multiple machines. Note that this may take some time if a large number of computers are selected, since the registry on each selected computer must be accessed.

Scheduled Jobs / Adding Remote Jobs - Hyena supports displaying, removing, and adding jobs to one or more computers at the same time.


Known Issues

Known Limitations and Issues

The list below outlines known issues, but feedback is still welcomed on any items that are important to you.

Windows 95/98/Me

Hyena will not run under Windows 95, Windows 98, or Windows Me; it must be executed from a workstation or server running either Windows NT, Windows 2000, or Windows XP.

Share Permissions

Hyena’s share permission management functions are nearly identical to the native Windows NT/200 share functions, with a few exceptions as noted below:

Write Access Type – Hyena allows an access type called "Write" for share access permissions. Write access permits both read and write, but not delete access. Microsoft's utilities often do not recognize this attribute and will display any Write access types as "Special Access" or "Full Control" instead.

Unavailable User/Group – When Hyena accesses the properties for a share's security attributes, it must retrieve the text representation of each user/group that has been granted or denied access. If the user/group belongs to a remote computer (such as a domain controller or trusted domain), and if the remote computer is down or unresponsive, an error message will be displayed, and the remote user/group will NOT be displayed in the access list. If the permission list is modified, the inaccessible remote user/group will be removed from the permission list.

This situation is relatively rare, and will only occur in cases where security permissions are spread across multiple servers and domains and one of the security providers is down.

Local Groups – Hyena allows inclusion of local groups from both the current domain and all trusted domains into any share permission list. Windows utilities also support this operation, but the supporting documentation is sparse and difficult to interpret. This feature of NT only works with user-defined local groups, NOT the built-in local groups, such as Backup Operators, Print Operators, etc. Unfortunately, NT does not allow an easy determination if a local group is built-in or user-defined, so the local group permission list does include all of the local groups. If a built-in local group is added from a remote domain, an error will occur when an attempt is made to save the new permission list.

Trusted Domains – Hyena does not try to determine if a given domain has an established trust with another domain. This makes it appear possible to include user/group permissions from non-trusted domains, when this is not really possible. Windows NT does not report an error when an attempt is made to include user/group permissions from non-trusted domains.

Use of the "*" key in the Tree View Window

The standard Windows tree window, which is used in the left view window in Hyena, has several standard keystrokes that are built-into the behavior of this control. One of them involves the use of the "*" key, that when pressed, will automatically expand all of the items and sub-items under an object. This can be useful in some cases, but for some objects, this feature can cause near lockups of the client workstation running Hyena, due to the number of potential sub-items affected. Once this feature is invoked, the process must be terminated (End Tasked) in order to stop it.

Last Known User Log on and Log off

When viewing the information for a large group of users (User Details function), Hyena displays the last known log on and log off information that is returned from the primary domain controller (PDC). However, Windows NT and Windows 2000 do not centrally store the log on information for users, and therefore this information can be scattered across all of the domain controllers on your network. Hyena does not support polling all of the domain controllers to get this information for multiple users due to the performance limitations of doing this. If you want to view the last known log on for users from ALL domain controllers, use the USRSTAT utility from the NT Resource Kit or the DUMPSEC utility from http://www.somarsoft.com.

Since the information may still be somewhat useful, it will continue to be displayed on some views. However, this information is not displayed by default. Displaying the last log on/log off information can be enabled/disabled in the Tools->Settings->User dialog.

Note that you CAN display the last log on/log off information for individual users, by using the View Logon Information function. This option supports retrieval of the log on information from all of the domain controllers for the given user.

User Primary Group

Modification of the primary user group for multiple users is not supported.

Exchange Limitations

Hyena’s custom integrated Exchange support has the following limitations. Note that Hyena will by default use the installed User Manager Extensions interface into Exchange, which does not have these limitations. To enable / disable the type of Exchange integration, change the value of the “Enable Hyena’s Custom Exchange Integrations Options” setting under the Tools->Settings->User dialog. See the Exchange Options and Setup section for more information on Exchange options.

“Hide from Address Book” feature not supported – Hyena is not able to find mailboxes that are setup with the “Hide from Address Book Feature”. We do not see a workaround for this problem, as Exchange “hides” the directory entry from the global address list that is used to perform the lookup.

Possible problem with finding your own Exchange mailbox – There may be a limitation in the mechanism used to lookup the mailbox for the currently logged in user. One possible workaround for this problem is to setup a separate Exchange profile that uses a different user account.

Default Email Addresses are not shown in Email Address dialog – When adding new users, Hyena will not display the default email address that will be created by Exchange when new users are added. However, they will be created automatically when the mailbox is added.


How to Recieve Hyena Update Notices

How to Receive Hyena Update Notices

Due to Hyena's popularity and update frequency, SystemTools Software has setup a special email-based update notification for Hyena users. Messages are only sent out to alert Hyena users of updates, new features, and other news concerning Hyena. Typically, notices are sent out monthly. We do NOT share this list with anyone...your privacy is important to us. This email notification list is open to both registered Hyena users, as well as anyone using Hyena or just wanting to be kept informed of changes.

To join the Hyena update notification service, simply send a blank email to:

join-systemtools@laser.sparklist.com

After sending the email message to join, you will receive a confirmation message.


Online Help and Support

OnLine Discussion Forum

Hyena's online, moderated discussion forum is available at:

http://www.systemtools.com/HyenaBoard

This discussion board is available to any Hyena user. This a moderated board, with organized topics and categories for posting questions.

OnLine Help

The information presented in this help document is also available online at:

http://www.systemtools.com/HyenaHelp

The information at this location is identical to this help document. It is primarily intended for online demonstration of Hyena's features and user interface.

Other Support - Telephone and Email

For telephone and email support options, see our General Support topic.


Active Directory Computer/Browse List Integration

Hyena can integrate the information from the Windows browse list with Active Directory computer display. This allows Hyena to "gray out" computers in any computer listing, including OU displays, that are not found on the active browse list. This feature is automatically enabled for Windows NT domains.

Hyena will only refresh the browse list every 15 minutes for a given domain, so the performance impact of turning this feature on should be minimal.

To enable this feature, go into Tools->Settings->View, and turn on the "Integrate browse list with Active Directory computer listing" option.

After enabling, expand any OU that contains any computers (or the Computers object), and any potentially offline computers will be grayed out.


Check Shares

If this option is selected, each share will be checked to see if it contains one or more subdirectories when it is expanded in the left tree view window. If a share contains a subdirectory, a “plus” icon will be placed next to it. Disabling this option will increase performance, since this check can be skipped altogether. If disabled, a “plus” icon will be placed next to each share name. Note that Hyena will not check shares for subdirectories if the share is configured to only allow a single connection, thereby reducing the possibility of locking user access out of the share.


Drive Mask

Hyena uses a special template, or "mask" when retrieving the disk space (available, used, etc.) information. The drive space mask is set under the Tools->Settings->General configuration dialog.

The disk space mask can be customized to support different system configurations when gathering remote disk space information. By default, Hyena uses the administrative shares for getting remote drive space information. The default mask is %s$. The "%s" parameter in a mask is a placeholder for the drive letter. When Hyena encounters %s in the mask, Hyena queries the remote system for a list of disk drives, and then queries each of the drives using the remainder of the mask for the drive's disk space.

For example, if a share exists for every drive, named, for example, C-drive, D-drive, etc., the mask can be set to:

%s-drive

This setting is not case-sensitive. Furthermore, the directory being shared does NOT have to be at the root of the drive; it can be anywhere on the drive, as long as the convention used for the share name is consistent across all of the drives.

You can have Hyena check the shares using an alternate naming convention if, for example, the users running Hyena do not have the access rights to retrieve the drive list, or if greater performance is needed to retrieve the disk drive information. To do this, configure a mask that does not use the %s placeholder, and instead explicitly code each drive (share) in the mask. For example:

Drive-C;Drive-D;Drive-E - Use this style of mask (separate the individual drive shares with a semicolon) to explicitly tell Hyena which shares to look for. Using this style of drive space mask will force Hyena to skip trying to check the remote system's drive configuration, and will speed up the process of retrieving the drive space information. Note that Hyena will automatically skip non-existent shares without displaying any error.

%s$;SYS;VOL1;VOL2 - Use this style of mask to have Hyena check for the remote administrative shares, as well as the presence of Netware drives, when querying for disk space. The %s$ mask will fail (without any error) on Netware systems, yet the volume shares will display the disk space information correctly.

Please note that any combination of these examples can be used.


Login Scripts

Changes the location that is used to search for login scripts for editing.

If left blank, the current user's server's Repl$\scripts directory will be used.

If \netlogon (or any other path) is entered, the current user's server, plus the entered path will be used.

If \\servername\scriptdirectory is entered, the exact path entered will be used.


Suppress Groups

Prevents Hyena from automatically getting all available groups when a Windows NT user Properties dialog is displayed, and automatic retrieval of all users when the properties dialog for a Windows NT global group is displayed. When this option is enabled, the groups can be retrieved and/or entered manually in the Groups dialog for a user, or the properties dialog for a global group. This option is only applicable when adding users or modifying a single user’s properties, or for modification of global group properties.

NOTE: This feature is useful in WAN, large networks, or in cases where a large number of global/local groups and/or users are defined.

This option has no effect for Windows 2000 domains, since the dialogs for management of Windows 2000 objects always require displaying the Windows 2000 object picker to manage group/user memberships.